// The MIT License (MIT)

// Copyright (c) 2017-2020 Uber Technologies Inc.

// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: uber/cadence/shared/v1/tasklist.proto

package sharedv1

import (
	fmt "fmt"
	math "math"

	proto "github.com/golang/protobuf/proto"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// TaskSource is the source from which a task was produced.
type TaskSource int32

const (
	TaskSource_TASK_SOURCE_INVALID TaskSource = 0
	// Task produced by history service.
	TaskSource_TASK_SOURCE_HISTORY TaskSource = 1
	// Task produced from matching db backlog.
	TaskSource_TASK_SOURCE_DB_BACKLOG TaskSource = 2
)

var TaskSource_name = map[int32]string{
	0: "TASK_SOURCE_INVALID",
	1: "TASK_SOURCE_HISTORY",
	2: "TASK_SOURCE_DB_BACKLOG",
}

var TaskSource_value = map[string]int32{
	"TASK_SOURCE_INVALID":    0,
	"TASK_SOURCE_HISTORY":    1,
	"TASK_SOURCE_DB_BACKLOG": 2,
}

func (x TaskSource) String() string {
	return proto.EnumName(TaskSource_name, int32(x))
}

func (TaskSource) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_e97215b1a3d16713, []int{0}
}

func init() {
	proto.RegisterEnum("uber.cadence.shared.v1.TaskSource", TaskSource_name, TaskSource_value)
}

func init() {
	proto.RegisterFile("uber/cadence/shared/v1/tasklist.proto", fileDescriptor_e97215b1a3d16713)
}

var fileDescriptor_e97215b1a3d16713 = []byte{
	// 198 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x52, 0x2d, 0x4d, 0x4a, 0x2d,
	0xd2, 0x4f, 0x4e, 0x4c, 0x49, 0xcd, 0x4b, 0x4e, 0xd5, 0x2f, 0xce, 0x48, 0x2c, 0x4a, 0x4d, 0xd1,
	0x2f, 0x33, 0xd4, 0x2f, 0x49, 0x2c, 0xce, 0xce, 0xc9, 0x2c, 0x2e, 0xd1, 0x2b, 0x28, 0xca, 0x2f,
	0xc9, 0x17, 0x12, 0x03, 0x29, 0xd3, 0x83, 0x2a, 0xd3, 0x83, 0x28, 0xd3, 0x2b, 0x33, 0xd4, 0x8a,
	0xe2, 0xe2, 0x0a, 0x49, 0x2c, 0xce, 0x0e, 0xce, 0x2f, 0x2d, 0x4a, 0x4e, 0x15, 0x12, 0xe7, 0x12,
	0x0e, 0x71, 0x0c, 0xf6, 0x8e, 0x0f, 0xf6, 0x0f, 0x0d, 0x72, 0x76, 0x8d, 0xf7, 0xf4, 0x0b, 0x73,
	0xf4, 0xf1, 0x74, 0x11, 0x60, 0x40, 0x97, 0xf0, 0xf0, 0x0c, 0x0e, 0xf1, 0x0f, 0x8a, 0x14, 0x60,
	0x14, 0x92, 0xe2, 0x12, 0x43, 0x96, 0x70, 0x71, 0x8a, 0x77, 0x72, 0x74, 0xf6, 0xf6, 0xf1, 0x77,
	0x17, 0x60, 0x72, 0x72, 0x3f, 0xf1, 0x48, 0x8e, 0xf1, 0xc2, 0x23, 0x39, 0xc6, 0x07, 0x8f, 0xe4,
	0x18, 0x67, 0x3c, 0x96, 0x63, 0x88, 0x32, 0x4d, 0xcf, 0x2c, 0xc9, 0x28, 0x4d, 0xd2, 0x4b, 0xce,
	0xcf, 0xd5, 0x47, 0x71, 0xb7, 0x5e, 0x7a, 0x6a, 0x9e, 0x3e, 0xd8, 0xa5, 0x08, 0x2f, 0x58, 0x43,
	0x58, 0x65, 0x86, 0x49, 0x6c, 0x60, 0x19, 0x63, 0x40, 0x00, 0x00, 0x00, 0xff, 0xff, 0xf3, 0xa7,
	0x75, 0x3e, 0xec, 0x00, 0x00, 0x00,
}
