// The MIT License (MIT)

// Copyright (c) 2017-2020 Uber Technologies Inc.

// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

// Code generated by protoc-gen-yarpc-go. DO NOT EDIT.
// source: uber/cadence/api/v1/service_worker.proto

package apiv1

import (
	"context"
	"io/ioutil"
	"reflect"

	"github.com/gogo/protobuf/jsonpb"
	"github.com/gogo/protobuf/proto"
	"go.uber.org/fx"
	"go.uber.org/yarpc"
	"go.uber.org/yarpc/api/transport"
	"go.uber.org/yarpc/api/x/restriction"
	"go.uber.org/yarpc/encoding/protobuf"
	"go.uber.org/yarpc/encoding/protobuf/reflection"
)

var _ = ioutil.NopCloser

// WorkerAPIYARPCClient is the YARPC client-side interface for the WorkerAPI service.
type WorkerAPIYARPCClient interface {
	PollForDecisionTask(context.Context, *PollForDecisionTaskRequest, ...yarpc.CallOption) (*PollForDecisionTaskResponse, error)
	RespondDecisionTaskCompleted(context.Context, *RespondDecisionTaskCompletedRequest, ...yarpc.CallOption) (*RespondDecisionTaskCompletedResponse, error)
	RespondDecisionTaskFailed(context.Context, *RespondDecisionTaskFailedRequest, ...yarpc.CallOption) (*RespondDecisionTaskFailedResponse, error)
	PollForActivityTask(context.Context, *PollForActivityTaskRequest, ...yarpc.CallOption) (*PollForActivityTaskResponse, error)
	RespondActivityTaskCompleted(context.Context, *RespondActivityTaskCompletedRequest, ...yarpc.CallOption) (*RespondActivityTaskCompletedResponse, error)
	RespondActivityTaskCompletedByID(context.Context, *RespondActivityTaskCompletedByIDRequest, ...yarpc.CallOption) (*RespondActivityTaskCompletedByIDResponse, error)
	RespondActivityTaskFailed(context.Context, *RespondActivityTaskFailedRequest, ...yarpc.CallOption) (*RespondActivityTaskFailedResponse, error)
	RespondActivityTaskFailedByID(context.Context, *RespondActivityTaskFailedByIDRequest, ...yarpc.CallOption) (*RespondActivityTaskFailedByIDResponse, error)
	RespondActivityTaskCanceled(context.Context, *RespondActivityTaskCanceledRequest, ...yarpc.CallOption) (*RespondActivityTaskCanceledResponse, error)
	RespondActivityTaskCanceledByID(context.Context, *RespondActivityTaskCanceledByIDRequest, ...yarpc.CallOption) (*RespondActivityTaskCanceledByIDResponse, error)
	RecordActivityTaskHeartbeat(context.Context, *RecordActivityTaskHeartbeatRequest, ...yarpc.CallOption) (*RecordActivityTaskHeartbeatResponse, error)
	RecordActivityTaskHeartbeatByID(context.Context, *RecordActivityTaskHeartbeatByIDRequest, ...yarpc.CallOption) (*RecordActivityTaskHeartbeatByIDResponse, error)
	RespondQueryTaskCompleted(context.Context, *RespondQueryTaskCompletedRequest, ...yarpc.CallOption) (*RespondQueryTaskCompletedResponse, error)
	RequestCancelWorkflowExecution(context.Context, *RequestCancelWorkflowExecutionRequest, ...yarpc.CallOption) (*RequestCancelWorkflowExecutionResponse, error)
}

func newWorkerAPIYARPCClient(clientConfig transport.ClientConfig, anyResolver jsonpb.AnyResolver, options ...protobuf.ClientOption) WorkerAPIYARPCClient {
	return &_WorkerAPIYARPCCaller{protobuf.NewStreamClient(
		protobuf.ClientParams{
			ServiceName:  "uber.cadence.api.v1.WorkerAPI",
			ClientConfig: clientConfig,
			AnyResolver:  anyResolver,
			Options:      options,
		},
	)}
}

// NewWorkerAPIYARPCClient builds a new YARPC client for the WorkerAPI service.
func NewWorkerAPIYARPCClient(clientConfig transport.ClientConfig, options ...protobuf.ClientOption) WorkerAPIYARPCClient {
	return newWorkerAPIYARPCClient(clientConfig, nil, options...)
}

// WorkerAPIYARPCServer is the YARPC server-side interface for the WorkerAPI service.
type WorkerAPIYARPCServer interface {
	PollForDecisionTask(context.Context, *PollForDecisionTaskRequest) (*PollForDecisionTaskResponse, error)
	RespondDecisionTaskCompleted(context.Context, *RespondDecisionTaskCompletedRequest) (*RespondDecisionTaskCompletedResponse, error)
	RespondDecisionTaskFailed(context.Context, *RespondDecisionTaskFailedRequest) (*RespondDecisionTaskFailedResponse, error)
	PollForActivityTask(context.Context, *PollForActivityTaskRequest) (*PollForActivityTaskResponse, error)
	RespondActivityTaskCompleted(context.Context, *RespondActivityTaskCompletedRequest) (*RespondActivityTaskCompletedResponse, error)
	RespondActivityTaskCompletedByID(context.Context, *RespondActivityTaskCompletedByIDRequest) (*RespondActivityTaskCompletedByIDResponse, error)
	RespondActivityTaskFailed(context.Context, *RespondActivityTaskFailedRequest) (*RespondActivityTaskFailedResponse, error)
	RespondActivityTaskFailedByID(context.Context, *RespondActivityTaskFailedByIDRequest) (*RespondActivityTaskFailedByIDResponse, error)
	RespondActivityTaskCanceled(context.Context, *RespondActivityTaskCanceledRequest) (*RespondActivityTaskCanceledResponse, error)
	RespondActivityTaskCanceledByID(context.Context, *RespondActivityTaskCanceledByIDRequest) (*RespondActivityTaskCanceledByIDResponse, error)
	RecordActivityTaskHeartbeat(context.Context, *RecordActivityTaskHeartbeatRequest) (*RecordActivityTaskHeartbeatResponse, error)
	RecordActivityTaskHeartbeatByID(context.Context, *RecordActivityTaskHeartbeatByIDRequest) (*RecordActivityTaskHeartbeatByIDResponse, error)
	RespondQueryTaskCompleted(context.Context, *RespondQueryTaskCompletedRequest) (*RespondQueryTaskCompletedResponse, error)
	RequestCancelWorkflowExecution(context.Context, *RequestCancelWorkflowExecutionRequest) (*RequestCancelWorkflowExecutionResponse, error)
}

type buildWorkerAPIYARPCProceduresParams struct {
	Server      WorkerAPIYARPCServer
	AnyResolver jsonpb.AnyResolver
}

func buildWorkerAPIYARPCProcedures(params buildWorkerAPIYARPCProceduresParams) []transport.Procedure {
	handler := &_WorkerAPIYARPCHandler{params.Server}
	return protobuf.BuildProcedures(
		protobuf.BuildProceduresParams{
			ServiceName: "uber.cadence.api.v1.WorkerAPI",
			UnaryHandlerParams: []protobuf.BuildProceduresUnaryHandlerParams{
				{
					MethodName: "PollForDecisionTask",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.PollForDecisionTask,
							NewRequest:  newWorkerAPIServicePollForDecisionTaskYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RespondDecisionTaskCompleted",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RespondDecisionTaskCompleted,
							NewRequest:  newWorkerAPIServiceRespondDecisionTaskCompletedYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RespondDecisionTaskFailed",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RespondDecisionTaskFailed,
							NewRequest:  newWorkerAPIServiceRespondDecisionTaskFailedYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "PollForActivityTask",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.PollForActivityTask,
							NewRequest:  newWorkerAPIServicePollForActivityTaskYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RespondActivityTaskCompleted",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RespondActivityTaskCompleted,
							NewRequest:  newWorkerAPIServiceRespondActivityTaskCompletedYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RespondActivityTaskCompletedByID",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RespondActivityTaskCompletedByID,
							NewRequest:  newWorkerAPIServiceRespondActivityTaskCompletedByIDYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RespondActivityTaskFailed",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RespondActivityTaskFailed,
							NewRequest:  newWorkerAPIServiceRespondActivityTaskFailedYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RespondActivityTaskFailedByID",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RespondActivityTaskFailedByID,
							NewRequest:  newWorkerAPIServiceRespondActivityTaskFailedByIDYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RespondActivityTaskCanceled",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RespondActivityTaskCanceled,
							NewRequest:  newWorkerAPIServiceRespondActivityTaskCanceledYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RespondActivityTaskCanceledByID",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RespondActivityTaskCanceledByID,
							NewRequest:  newWorkerAPIServiceRespondActivityTaskCanceledByIDYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RecordActivityTaskHeartbeat",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RecordActivityTaskHeartbeat,
							NewRequest:  newWorkerAPIServiceRecordActivityTaskHeartbeatYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RecordActivityTaskHeartbeatByID",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RecordActivityTaskHeartbeatByID,
							NewRequest:  newWorkerAPIServiceRecordActivityTaskHeartbeatByIDYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RespondQueryTaskCompleted",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RespondQueryTaskCompleted,
							NewRequest:  newWorkerAPIServiceRespondQueryTaskCompletedYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RequestCancelWorkflowExecution",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RequestCancelWorkflowExecution,
							NewRequest:  newWorkerAPIServiceRequestCancelWorkflowExecutionYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
			},
			OnewayHandlerParams: []protobuf.BuildProceduresOnewayHandlerParams{},
			StreamHandlerParams: []protobuf.BuildProceduresStreamHandlerParams{},
		},
	)
}

// BuildWorkerAPIYARPCProcedures prepares an implementation of the WorkerAPI service for YARPC registration.
func BuildWorkerAPIYARPCProcedures(server WorkerAPIYARPCServer) []transport.Procedure {
	return buildWorkerAPIYARPCProcedures(buildWorkerAPIYARPCProceduresParams{Server: server})
}

// FxWorkerAPIYARPCClientParams defines the input
// for NewFxWorkerAPIYARPCClient. It provides the
// paramaters to get a WorkerAPIYARPCClient in an
// Fx application.
type FxWorkerAPIYARPCClientParams struct {
	fx.In

	Provider    yarpc.ClientConfig
	AnyResolver jsonpb.AnyResolver  `name:"yarpcfx" optional:"true"`
	Restriction restriction.Checker `optional:"true"`
}

// FxWorkerAPIYARPCClientResult defines the output
// of NewFxWorkerAPIYARPCClient. It provides a
// WorkerAPIYARPCClient to an Fx application.
type FxWorkerAPIYARPCClientResult struct {
	fx.Out

	Client WorkerAPIYARPCClient

	// We are using an fx.Out struct here instead of just returning a client
	// so that we can add more values or add named versions of the client in
	// the future without breaking any existing code.
}

// NewFxWorkerAPIYARPCClient provides a WorkerAPIYARPCClient
// to an Fx application using the given name for routing.
//
//  fx.Provide(
//    apiv1.NewFxWorkerAPIYARPCClient("service-name"),
//    ...
//  )
func NewFxWorkerAPIYARPCClient(name string, options ...protobuf.ClientOption) interface{} {
	return func(params FxWorkerAPIYARPCClientParams) FxWorkerAPIYARPCClientResult {
		cc := params.Provider.ClientConfig(name)

		if params.Restriction != nil {
			if namer, ok := cc.GetUnaryOutbound().(transport.Namer); ok {
				if err := params.Restriction.Check(protobuf.Encoding, namer.TransportName()); err != nil {
					panic(err.Error())
				}
			}
		}

		return FxWorkerAPIYARPCClientResult{
			Client: newWorkerAPIYARPCClient(cc, params.AnyResolver, options...),
		}
	}
}

// FxWorkerAPIYARPCProceduresParams defines the input
// for NewFxWorkerAPIYARPCProcedures. It provides the
// paramaters to get WorkerAPIYARPCServer procedures in an
// Fx application.
type FxWorkerAPIYARPCProceduresParams struct {
	fx.In

	Server      WorkerAPIYARPCServer
	AnyResolver jsonpb.AnyResolver `name:"yarpcfx" optional:"true"`
}

// FxWorkerAPIYARPCProceduresResult defines the output
// of NewFxWorkerAPIYARPCProcedures. It provides
// WorkerAPIYARPCServer procedures to an Fx application.
//
// The procedures are provided to the "yarpcfx" value group.
// Dig 1.2 or newer must be used for this feature to work.
type FxWorkerAPIYARPCProceduresResult struct {
	fx.Out

	Procedures     []transport.Procedure `group:"yarpcfx"`
	ReflectionMeta reflection.ServerMeta `group:"yarpcfx"`
}

// NewFxWorkerAPIYARPCProcedures provides WorkerAPIYARPCServer procedures to an Fx application.
// It expects a WorkerAPIYARPCServer to be present in the container.
//
//  fx.Provide(
//    apiv1.NewFxWorkerAPIYARPCProcedures(),
//    ...
//  )
func NewFxWorkerAPIYARPCProcedures() interface{} {
	return func(params FxWorkerAPIYARPCProceduresParams) FxWorkerAPIYARPCProceduresResult {
		return FxWorkerAPIYARPCProceduresResult{
			Procedures: buildWorkerAPIYARPCProcedures(buildWorkerAPIYARPCProceduresParams{
				Server:      params.Server,
				AnyResolver: params.AnyResolver,
			}),
			ReflectionMeta: reflection.ServerMeta{
				ServiceName:     "uber.cadence.api.v1.WorkerAPI",
				FileDescriptors: yarpcFileDescriptorClosure00684e887839a48c,
			},
		}
	}
}

type _WorkerAPIYARPCCaller struct {
	streamClient protobuf.StreamClient
}

func (c *_WorkerAPIYARPCCaller) PollForDecisionTask(ctx context.Context, request *PollForDecisionTaskRequest, options ...yarpc.CallOption) (*PollForDecisionTaskResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "PollForDecisionTask", request, newWorkerAPIServicePollForDecisionTaskYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*PollForDecisionTaskResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServicePollForDecisionTaskYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RespondDecisionTaskCompleted(ctx context.Context, request *RespondDecisionTaskCompletedRequest, options ...yarpc.CallOption) (*RespondDecisionTaskCompletedResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RespondDecisionTaskCompleted", request, newWorkerAPIServiceRespondDecisionTaskCompletedYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RespondDecisionTaskCompletedResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRespondDecisionTaskCompletedYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RespondDecisionTaskFailed(ctx context.Context, request *RespondDecisionTaskFailedRequest, options ...yarpc.CallOption) (*RespondDecisionTaskFailedResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RespondDecisionTaskFailed", request, newWorkerAPIServiceRespondDecisionTaskFailedYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RespondDecisionTaskFailedResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRespondDecisionTaskFailedYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) PollForActivityTask(ctx context.Context, request *PollForActivityTaskRequest, options ...yarpc.CallOption) (*PollForActivityTaskResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "PollForActivityTask", request, newWorkerAPIServicePollForActivityTaskYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*PollForActivityTaskResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServicePollForActivityTaskYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RespondActivityTaskCompleted(ctx context.Context, request *RespondActivityTaskCompletedRequest, options ...yarpc.CallOption) (*RespondActivityTaskCompletedResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RespondActivityTaskCompleted", request, newWorkerAPIServiceRespondActivityTaskCompletedYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RespondActivityTaskCompletedResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskCompletedYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RespondActivityTaskCompletedByID(ctx context.Context, request *RespondActivityTaskCompletedByIDRequest, options ...yarpc.CallOption) (*RespondActivityTaskCompletedByIDResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RespondActivityTaskCompletedByID", request, newWorkerAPIServiceRespondActivityTaskCompletedByIDYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RespondActivityTaskCompletedByIDResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskCompletedByIDYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RespondActivityTaskFailed(ctx context.Context, request *RespondActivityTaskFailedRequest, options ...yarpc.CallOption) (*RespondActivityTaskFailedResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RespondActivityTaskFailed", request, newWorkerAPIServiceRespondActivityTaskFailedYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RespondActivityTaskFailedResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskFailedYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RespondActivityTaskFailedByID(ctx context.Context, request *RespondActivityTaskFailedByIDRequest, options ...yarpc.CallOption) (*RespondActivityTaskFailedByIDResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RespondActivityTaskFailedByID", request, newWorkerAPIServiceRespondActivityTaskFailedByIDYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RespondActivityTaskFailedByIDResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskFailedByIDYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RespondActivityTaskCanceled(ctx context.Context, request *RespondActivityTaskCanceledRequest, options ...yarpc.CallOption) (*RespondActivityTaskCanceledResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RespondActivityTaskCanceled", request, newWorkerAPIServiceRespondActivityTaskCanceledYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RespondActivityTaskCanceledResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskCanceledYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RespondActivityTaskCanceledByID(ctx context.Context, request *RespondActivityTaskCanceledByIDRequest, options ...yarpc.CallOption) (*RespondActivityTaskCanceledByIDResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RespondActivityTaskCanceledByID", request, newWorkerAPIServiceRespondActivityTaskCanceledByIDYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RespondActivityTaskCanceledByIDResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskCanceledByIDYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RecordActivityTaskHeartbeat(ctx context.Context, request *RecordActivityTaskHeartbeatRequest, options ...yarpc.CallOption) (*RecordActivityTaskHeartbeatResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RecordActivityTaskHeartbeat", request, newWorkerAPIServiceRecordActivityTaskHeartbeatYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RecordActivityTaskHeartbeatResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRecordActivityTaskHeartbeatYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RecordActivityTaskHeartbeatByID(ctx context.Context, request *RecordActivityTaskHeartbeatByIDRequest, options ...yarpc.CallOption) (*RecordActivityTaskHeartbeatByIDResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RecordActivityTaskHeartbeatByID", request, newWorkerAPIServiceRecordActivityTaskHeartbeatByIDYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RecordActivityTaskHeartbeatByIDResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRecordActivityTaskHeartbeatByIDYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RespondQueryTaskCompleted(ctx context.Context, request *RespondQueryTaskCompletedRequest, options ...yarpc.CallOption) (*RespondQueryTaskCompletedResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RespondQueryTaskCompleted", request, newWorkerAPIServiceRespondQueryTaskCompletedYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RespondQueryTaskCompletedResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRespondQueryTaskCompletedYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_WorkerAPIYARPCCaller) RequestCancelWorkflowExecution(ctx context.Context, request *RequestCancelWorkflowExecutionRequest, options ...yarpc.CallOption) (*RequestCancelWorkflowExecutionResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RequestCancelWorkflowExecution", request, newWorkerAPIServiceRequestCancelWorkflowExecutionYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RequestCancelWorkflowExecutionResponse)
	if !ok {
		return nil, protobuf.CastError(emptyWorkerAPIServiceRequestCancelWorkflowExecutionYARPCResponse, responseMessage)
	}
	return response, err
}

type _WorkerAPIYARPCHandler struct {
	server WorkerAPIYARPCServer
}

func (h *_WorkerAPIYARPCHandler) PollForDecisionTask(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *PollForDecisionTaskRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*PollForDecisionTaskRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServicePollForDecisionTaskYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.PollForDecisionTask(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RespondDecisionTaskCompleted(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RespondDecisionTaskCompletedRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RespondDecisionTaskCompletedRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRespondDecisionTaskCompletedYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RespondDecisionTaskCompleted(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RespondDecisionTaskFailed(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RespondDecisionTaskFailedRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RespondDecisionTaskFailedRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRespondDecisionTaskFailedYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RespondDecisionTaskFailed(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) PollForActivityTask(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *PollForActivityTaskRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*PollForActivityTaskRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServicePollForActivityTaskYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.PollForActivityTask(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RespondActivityTaskCompleted(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RespondActivityTaskCompletedRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RespondActivityTaskCompletedRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskCompletedYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RespondActivityTaskCompleted(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RespondActivityTaskCompletedByID(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RespondActivityTaskCompletedByIDRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RespondActivityTaskCompletedByIDRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskCompletedByIDYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RespondActivityTaskCompletedByID(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RespondActivityTaskFailed(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RespondActivityTaskFailedRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RespondActivityTaskFailedRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskFailedYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RespondActivityTaskFailed(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RespondActivityTaskFailedByID(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RespondActivityTaskFailedByIDRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RespondActivityTaskFailedByIDRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskFailedByIDYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RespondActivityTaskFailedByID(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RespondActivityTaskCanceled(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RespondActivityTaskCanceledRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RespondActivityTaskCanceledRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskCanceledYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RespondActivityTaskCanceled(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RespondActivityTaskCanceledByID(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RespondActivityTaskCanceledByIDRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RespondActivityTaskCanceledByIDRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRespondActivityTaskCanceledByIDYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RespondActivityTaskCanceledByID(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RecordActivityTaskHeartbeat(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RecordActivityTaskHeartbeatRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RecordActivityTaskHeartbeatRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRecordActivityTaskHeartbeatYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RecordActivityTaskHeartbeat(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RecordActivityTaskHeartbeatByID(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RecordActivityTaskHeartbeatByIDRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RecordActivityTaskHeartbeatByIDRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRecordActivityTaskHeartbeatByIDYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RecordActivityTaskHeartbeatByID(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RespondQueryTaskCompleted(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RespondQueryTaskCompletedRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RespondQueryTaskCompletedRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRespondQueryTaskCompletedYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RespondQueryTaskCompleted(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_WorkerAPIYARPCHandler) RequestCancelWorkflowExecution(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RequestCancelWorkflowExecutionRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RequestCancelWorkflowExecutionRequest)
		if !ok {
			return nil, protobuf.CastError(emptyWorkerAPIServiceRequestCancelWorkflowExecutionYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RequestCancelWorkflowExecution(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func newWorkerAPIServicePollForDecisionTaskYARPCRequest() proto.Message {
	return &PollForDecisionTaskRequest{}
}

func newWorkerAPIServicePollForDecisionTaskYARPCResponse() proto.Message {
	return &PollForDecisionTaskResponse{}
}

func newWorkerAPIServiceRespondDecisionTaskCompletedYARPCRequest() proto.Message {
	return &RespondDecisionTaskCompletedRequest{}
}

func newWorkerAPIServiceRespondDecisionTaskCompletedYARPCResponse() proto.Message {
	return &RespondDecisionTaskCompletedResponse{}
}

func newWorkerAPIServiceRespondDecisionTaskFailedYARPCRequest() proto.Message {
	return &RespondDecisionTaskFailedRequest{}
}

func newWorkerAPIServiceRespondDecisionTaskFailedYARPCResponse() proto.Message {
	return &RespondDecisionTaskFailedResponse{}
}

func newWorkerAPIServicePollForActivityTaskYARPCRequest() proto.Message {
	return &PollForActivityTaskRequest{}
}

func newWorkerAPIServicePollForActivityTaskYARPCResponse() proto.Message {
	return &PollForActivityTaskResponse{}
}

func newWorkerAPIServiceRespondActivityTaskCompletedYARPCRequest() proto.Message {
	return &RespondActivityTaskCompletedRequest{}
}

func newWorkerAPIServiceRespondActivityTaskCompletedYARPCResponse() proto.Message {
	return &RespondActivityTaskCompletedResponse{}
}

func newWorkerAPIServiceRespondActivityTaskCompletedByIDYARPCRequest() proto.Message {
	return &RespondActivityTaskCompletedByIDRequest{}
}

func newWorkerAPIServiceRespondActivityTaskCompletedByIDYARPCResponse() proto.Message {
	return &RespondActivityTaskCompletedByIDResponse{}
}

func newWorkerAPIServiceRespondActivityTaskFailedYARPCRequest() proto.Message {
	return &RespondActivityTaskFailedRequest{}
}

func newWorkerAPIServiceRespondActivityTaskFailedYARPCResponse() proto.Message {
	return &RespondActivityTaskFailedResponse{}
}

func newWorkerAPIServiceRespondActivityTaskFailedByIDYARPCRequest() proto.Message {
	return &RespondActivityTaskFailedByIDRequest{}
}

func newWorkerAPIServiceRespondActivityTaskFailedByIDYARPCResponse() proto.Message {
	return &RespondActivityTaskFailedByIDResponse{}
}

func newWorkerAPIServiceRespondActivityTaskCanceledYARPCRequest() proto.Message {
	return &RespondActivityTaskCanceledRequest{}
}

func newWorkerAPIServiceRespondActivityTaskCanceledYARPCResponse() proto.Message {
	return &RespondActivityTaskCanceledResponse{}
}

func newWorkerAPIServiceRespondActivityTaskCanceledByIDYARPCRequest() proto.Message {
	return &RespondActivityTaskCanceledByIDRequest{}
}

func newWorkerAPIServiceRespondActivityTaskCanceledByIDYARPCResponse() proto.Message {
	return &RespondActivityTaskCanceledByIDResponse{}
}

func newWorkerAPIServiceRecordActivityTaskHeartbeatYARPCRequest() proto.Message {
	return &RecordActivityTaskHeartbeatRequest{}
}

func newWorkerAPIServiceRecordActivityTaskHeartbeatYARPCResponse() proto.Message {
	return &RecordActivityTaskHeartbeatResponse{}
}

func newWorkerAPIServiceRecordActivityTaskHeartbeatByIDYARPCRequest() proto.Message {
	return &RecordActivityTaskHeartbeatByIDRequest{}
}

func newWorkerAPIServiceRecordActivityTaskHeartbeatByIDYARPCResponse() proto.Message {
	return &RecordActivityTaskHeartbeatByIDResponse{}
}

func newWorkerAPIServiceRespondQueryTaskCompletedYARPCRequest() proto.Message {
	return &RespondQueryTaskCompletedRequest{}
}

func newWorkerAPIServiceRespondQueryTaskCompletedYARPCResponse() proto.Message {
	return &RespondQueryTaskCompletedResponse{}
}

func newWorkerAPIServiceRequestCancelWorkflowExecutionYARPCRequest() proto.Message {
	return &RequestCancelWorkflowExecutionRequest{}
}

func newWorkerAPIServiceRequestCancelWorkflowExecutionYARPCResponse() proto.Message {
	return &RequestCancelWorkflowExecutionResponse{}
}

var (
	emptyWorkerAPIServicePollForDecisionTaskYARPCRequest               = &PollForDecisionTaskRequest{}
	emptyWorkerAPIServicePollForDecisionTaskYARPCResponse              = &PollForDecisionTaskResponse{}
	emptyWorkerAPIServiceRespondDecisionTaskCompletedYARPCRequest      = &RespondDecisionTaskCompletedRequest{}
	emptyWorkerAPIServiceRespondDecisionTaskCompletedYARPCResponse     = &RespondDecisionTaskCompletedResponse{}
	emptyWorkerAPIServiceRespondDecisionTaskFailedYARPCRequest         = &RespondDecisionTaskFailedRequest{}
	emptyWorkerAPIServiceRespondDecisionTaskFailedYARPCResponse        = &RespondDecisionTaskFailedResponse{}
	emptyWorkerAPIServicePollForActivityTaskYARPCRequest               = &PollForActivityTaskRequest{}
	emptyWorkerAPIServicePollForActivityTaskYARPCResponse              = &PollForActivityTaskResponse{}
	emptyWorkerAPIServiceRespondActivityTaskCompletedYARPCRequest      = &RespondActivityTaskCompletedRequest{}
	emptyWorkerAPIServiceRespondActivityTaskCompletedYARPCResponse     = &RespondActivityTaskCompletedResponse{}
	emptyWorkerAPIServiceRespondActivityTaskCompletedByIDYARPCRequest  = &RespondActivityTaskCompletedByIDRequest{}
	emptyWorkerAPIServiceRespondActivityTaskCompletedByIDYARPCResponse = &RespondActivityTaskCompletedByIDResponse{}
	emptyWorkerAPIServiceRespondActivityTaskFailedYARPCRequest         = &RespondActivityTaskFailedRequest{}
	emptyWorkerAPIServiceRespondActivityTaskFailedYARPCResponse        = &RespondActivityTaskFailedResponse{}
	emptyWorkerAPIServiceRespondActivityTaskFailedByIDYARPCRequest     = &RespondActivityTaskFailedByIDRequest{}
	emptyWorkerAPIServiceRespondActivityTaskFailedByIDYARPCResponse    = &RespondActivityTaskFailedByIDResponse{}
	emptyWorkerAPIServiceRespondActivityTaskCanceledYARPCRequest       = &RespondActivityTaskCanceledRequest{}
	emptyWorkerAPIServiceRespondActivityTaskCanceledYARPCResponse      = &RespondActivityTaskCanceledResponse{}
	emptyWorkerAPIServiceRespondActivityTaskCanceledByIDYARPCRequest   = &RespondActivityTaskCanceledByIDRequest{}
	emptyWorkerAPIServiceRespondActivityTaskCanceledByIDYARPCResponse  = &RespondActivityTaskCanceledByIDResponse{}
	emptyWorkerAPIServiceRecordActivityTaskHeartbeatYARPCRequest       = &RecordActivityTaskHeartbeatRequest{}
	emptyWorkerAPIServiceRecordActivityTaskHeartbeatYARPCResponse      = &RecordActivityTaskHeartbeatResponse{}
	emptyWorkerAPIServiceRecordActivityTaskHeartbeatByIDYARPCRequest   = &RecordActivityTaskHeartbeatByIDRequest{}
	emptyWorkerAPIServiceRecordActivityTaskHeartbeatByIDYARPCResponse  = &RecordActivityTaskHeartbeatByIDResponse{}
	emptyWorkerAPIServiceRespondQueryTaskCompletedYARPCRequest         = &RespondQueryTaskCompletedRequest{}
	emptyWorkerAPIServiceRespondQueryTaskCompletedYARPCResponse        = &RespondQueryTaskCompletedResponse{}
	emptyWorkerAPIServiceRequestCancelWorkflowExecutionYARPCRequest    = &RequestCancelWorkflowExecutionRequest{}
	emptyWorkerAPIServiceRequestCancelWorkflowExecutionYARPCResponse   = &RequestCancelWorkflowExecutionResponse{}
)

var yarpcFileDescriptorClosure00684e887839a48c = [][]byte{
	// uber/cadence/api/v1/service_worker.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe4, 0x5a, 0x5b, 0x6f, 0x1b, 0xc7,
		0x15, 0xc6, 0xea, 0xae, 0xa3, 0x1b, 0x35, 0x46, 0x5d, 0x8a, 0xb6, 0x65, 0x99, 0xa9, 0x6d, 0xa6,
		0x0d, 0xc8, 0x5a, 0x49, 0x1d, 0xc7, 0x8e, 0x8b, 0xea, 0x62, 0xc1, 0x2a, 0xd2, 0x54, 0x59, 0x33,
		0x0a, 0x90, 0x02, 0x5e, 0x8c, 0x76, 0x47, 0xe2, 0x40, 0xcb, 0x1d, 0x7a, 0x77, 0x96, 0x32, 0x5f,
		0xfa, 0xd0, 0xc7, 0xa4, 0x05, 0x0a, 0x14, 0x4d, 0x51, 0xa0, 0x80, 0x9f, 0xfb, 0x03, 0xfa, 0x43,
		0xfa, 0xda, 0x3e, 0xf5, 0x9f, 0x14, 0x3b, 0x33, 0xbb, 0x5c, 0x92, 0xc3, 0xe1, 0xa5, 0x0f, 0x0a,
		0xd0, 0x37, 0xed, 0xec, 0x77, 0xbe, 0x3d, 0x73, 0xce, 0x99, 0x33, 0xdf, 0x8c, 0x08, 0x95, 0xf8,
		0x8c, 0x84, 0x35, 0x17, 0x7b, 0x24, 0x70, 0x49, 0x0d, 0xb7, 0x68, 0xad, 0xfd, 0xa8, 0x16, 0x91,
		0xb0, 0x4d, 0x5d, 0xe2, 0x5c, 0xb1, 0xf0, 0x92, 0x84, 0xd5, 0x56, 0xc8, 0x38, 0x43, 0x37, 0x12,
		0x64, 0x55, 0x21, 0xab, 0xb8, 0x45, 0xab, 0xed, 0x47, 0xa5, 0xed, 0x0b, 0xc6, 0x2e, 0x7c, 0x52,
		0x13, 0x90, 0xb3, 0xf8, 0xbc, 0xe6, 0xc5, 0x21, 0xe6, 0x94, 0x05, 0xd2, 0xa8, 0x74, 0xb7, 0xff,
		0x3d, 0xa7, 0x4d, 0x12, 0x71, 0xdc, 0x6c, 0x29, 0xc0, 0x00, 0xc1, 0x55, 0x88, 0x5b, 0x2d, 0x12,
		0x46, 0xea, 0xfd, 0x8e, 0xce, 0x3f, 0x97, 0x35, 0x9b, 0xd9, 0x27, 0xca, 0x3a, 0x84, 0x47, 0x5c,
		0x1a, 0x75, 0xdd, 0xb8, 0xa7, 0xc3, 0x34, 0x68, 0xc4, 0x59, 0xd8, 0x49, 0x3d, 0xd5, 0x41, 0xde,
		0xc4, 0x24, 0x03, 0x68, 0xbf, 0xc3, 0x71, 0x74, 0xe9, 0xd3, 0x88, 0x9b, 0x30, 0x49, 0x14, 0xcf,
		0x7d, 0x76, 0x25, 0x31, 0xe5, 0x7f, 0x58, 0x50, 0x3a, 0x61, 0xbe, 0x7f, 0xc4, 0xc2, 0x43, 0xe5,
		0x65, 0x1d, 0x47, 0x97, 0x36, 0x79, 0x13, 0x93, 0x88, 0xa3, 0x9b, 0xb0, 0xe0, 0xb1, 0x26, 0xa6,
		0x41, 0xd1, 0xda, 0xb1, 0x2a, 0xcb, 0xb6, 0x7a, 0x42, 0x4f, 0x61, 0x39, 0xf9, 0x98, 0x93, 0x7c,
		0xad, 0x38, 0xb3, 0x63, 0x55, 0x56, 0x76, 0xef, 0x54, 0x35, 0x29, 0xa9, 0x26, 0x64, 0x9f, 0xd1,
		0x88, 0xdb, 0x4b, 0x5c, 0xfd, 0x85, 0x4a, 0xb0, 0x44, 0x3d, 0x12, 0x70, 0xca, 0x3b, 0xc5, 0x59,
		0xc1, 0x9a, 0x3d, 0xa3, 0x87, 0xb0, 0x71, 0x46, 0x03, 0x1c, 0x76, 0x1c, 0xb7, 0x41, 0xdc, 0xcb,
		0x28, 0x6e, 0x16, 0xe7, 0x04, 0x64, 0x5d, 0x0e, 0x1f, 0xa8, 0xd1, 0xf2, 0xbf, 0x16, 0xe1, 0x96,
		0xd6, 0xef, 0xa8, 0xc5, 0x82, 0x88, 0xa0, 0x3b, 0x00, 0xc2, 0x41, 0xce, 0x2e, 0x89, 0x74, 0x7e,
		0xd5, 0x16, 0x2e, 0xd7, 0x93, 0x01, 0xf4, 0x25, 0xa0, 0x34, 0x10, 0x0e, 0x79, 0x4b, 0xdc, 0x38,
		0xa9, 0x12, 0x35, 0x91, 0x07, 0xda, 0x89, 0x7c, 0xa5, 0xe0, 0x2f, 0x52, 0xb4, 0xbd, 0x79, 0xd5,
		0x3f, 0x84, 0x8e, 0x60, 0x2d, 0xa3, 0xe5, 0x9d, 0x16, 0x11, 0xf3, 0x5b, 0xd9, 0xbd, 0x67, 0x64,
		0xac, 0x77, 0x5a, 0xc4, 0x5e, 0xbd, 0xca, 0x3d, 0xa1, 0x53, 0xd8, 0x6a, 0x85, 0xa4, 0x4d, 0x59,
		0x1c, 0x39, 0x11, 0xc7, 0x21, 0x27, 0x9e, 0x43, 0xda, 0x24, 0xe0, 0x0e, 0xf5, 0x44, 0x40, 0x56,
		0x76, 0x6f, 0x55, 0x65, 0xad, 0x56, 0xd3, 0x5a, 0xad, 0x1e, 0x07, 0xfc, 0xf1, 0x47, 0xa7, 0xd8,
		0x8f, 0x89, 0x7d, 0x33, 0xb5, 0x7e, 0x25, 0x8d, 0x5f, 0x24, 0xb6, 0xc7, 0x1e, 0xaa, 0x40, 0x61,
		0x80, 0x6e, 0x7e, 0xc7, 0xaa, 0xcc, 0xda, 0xeb, 0x51, 0x2f, 0xb2, 0x08, 0x8b, 0x98, 0x73, 0xd2,
		0x6c, 0xf1, 0xe2, 0x82, 0x00, 0xa4, 0x8f, 0xe8, 0x03, 0x40, 0x67, 0xd8, 0xbd, 0xf4, 0xd9, 0x85,
		0xe3, 0xb2, 0x38, 0xe0, 0x4e, 0x83, 0x06, 0xbc, 0xb8, 0x28, 0x40, 0x05, 0xf5, 0xe6, 0x20, 0x79,
		0xf1, 0x92, 0x06, 0x1c, 0x3d, 0x86, 0x45, 0x55, 0xd9, 0xc5, 0x25, 0xe1, 0xf7, 0x6d, 0x6d, 0x2c,
		0x5e, 0x4a, 0x8c, 0x9d, 0x82, 0xd1, 0x03, 0xd8, 0x08, 0xc8, 0x5b, 0xee, 0xb4, 0xf0, 0x05, 0x51,
		0x49, 0x5c, 0x16, 0x49, 0x5c, 0x4b, 0x86, 0x4f, 0xf0, 0x05, 0x91, 0x89, 0x7c, 0x02, 0xf3, 0x62,
		0x59, 0x14, 0x41, 0xb0, 0x97, 0x8d, 0x91, 0xfe, 0x22, 0x41, 0xda, 0xd2, 0x00, 0xbd, 0x86, 0xdb,
		0x83, 0x25, 0xe0, 0x74, 0xab, 0x7a, 0x65, 0x9c, 0xaa, 0xde, 0x1a, 0xa8, 0x81, 0xf4, 0x15, 0xda,
		0x83, 0xf5, 0xc8, 0x6d, 0x10, 0x2f, 0xf6, 0x89, 0xe7, 0x24, 0x8d, 0xa6, 0xb8, 0x2a, 0x18, 0x4b,
		0x03, 0x89, 0xab, 0xa7, 0x5d, 0xc8, 0x5e, 0xcb, 0x2c, 0x92, 0x31, 0xf4, 0x1c, 0x56, 0xd3, 0x74,
		0x09, 0x82, 0xb5, 0x91, 0x04, 0x2b, 0x0a, 0x2f, 0xcc, 0xbf, 0x82, 0xc5, 0x64, 0xaa, 0x94, 0x44,
		0xc5, 0xf5, 0x9d, 0xd9, 0xca, 0xca, 0xee, 0x73, 0xed, 0x64, 0x0c, 0xcb, 0xa8, 0xfa, 0x85, 0xb4,
		0x7f, 0x11, 0xf0, 0x24, 0x39, 0x8a, 0xad, 0xf4, 0x1a, 0x56, 0xf3, 0x2f, 0x50, 0x01, 0x66, 0x2f,
		0x49, 0x47, 0xb5, 0x88, 0xe4, 0xcf, 0x24, 0x2d, 0xed, 0xa4, 0x12, 0xd5, 0x92, 0x1a, 0x2b, 0x2d,
		0xc2, 0xe0, 0xe9, 0xcc, 0x13, 0xab, 0xfc, 0xf7, 0x79, 0x78, 0x4f, 0xba, 0xe0, 0xe5, 0xbd, 0x3a,
		0x60, 0xcd, 0x96, 0x4f, 0x38, 0xf1, 0xd2, 0xee, 0x34, 0x62, 0x91, 0x3f, 0x83, 0xe5, 0xb4, 0xf3,
		0x46, 0xc5, 0x19, 0x11, 0x01, 0x7d, 0x3a, 0xd3, 0x8f, 0xd8, 0x5d, 0x3c, 0xfa, 0x09, 0x6c, 0x76,
		0xab, 0xc2, 0x65, 0x01, 0x27, 0x6f, 0xb9, 0x58, 0xce, 0xab, 0x76, 0x21, 0x7b, 0x71, 0x20, 0xc7,
		0x7b, 0x5a, 0xda, 0x5c, 0x5f, 0x4b, 0xfb, 0x0d, 0x6c, 0x46, 0x9c, 0xba, 0x97, 0x1d, 0x07, 0x73,
		0x1e, 0xd2, 0xb3, 0x98, 0x93, 0x48, 0x2c, 0xba, 0x95, 0xdd, 0xaa, 0xd6, 0x9b, 0x57, 0x02, 0x9d,
		0x15, 0xd4, 0x5e, 0x66, 0x65, 0x17, 0x24, 0x51, 0x77, 0x04, 0x7d, 0x0c, 0xc5, 0x90, 0xf0, 0x38,
		0x0c, 0x9c, 0x80, 0x5c, 0x39, 0xa9, 0xf7, 0xa2, 0x8a, 0xc5, 0xba, 0x5d, 0xb2, 0x7f, 0x20, 0xdf,
		0x7f, 0x4e, 0xae, 0xf2, 0xa1, 0x44, 0xfb, 0xb0, 0x7d, 0xce, 0x42, 0x97, 0x38, 0x6e, 0x48, 0x30,
		0x27, 0x1a, 0xf3, 0x45, 0x61, 0x5e, 0x12, 0xa8, 0x03, 0x01, 0xea, 0xe7, 0xd0, 0x34, 0xeb, 0x25,
		0x5d, 0xb3, 0x46, 0x0c, 0xd6, 0xc4, 0x9a, 0x73, 0x42, 0x12, 0xc5, 0x3e, 0x8f, 0x8a, 0xcb, 0x22,
		0x19, 0xbf, 0xd4, 0x4e, 0x7f, 0x8c, 0xc4, 0x57, 0x65, 0xc5, 0x48, 0x32, 0x59, 0x9b, 0xab, 0x6f,
		0x72, 0x43, 0x25, 0x0a, 0x9b, 0x03, 0x10, 0x4d, 0x95, 0xfe, 0xbc, 0xb7, 0x4a, 0x2b, 0x63, 0x54,
		0xa9, 0x20, 0xcc, 0xd7, 0xea, 0xbb, 0x59, 0xf8, 0x91, 0xd9, 0x65, 0xb5, 0x23, 0x7d, 0x09, 0x6b,
		0xbd, 0x01, 0xb6, 0xc4, 0x47, 0x7f, 0x3a, 0xe9, 0x9a, 0xb4, 0x57, 0xbd, 0x7c, 0x12, 0xde, 0x59,
		0xb0, 0x8d, 0x5d, 0x4e, 0xdb, 0x94, 0x53, 0x12, 0x39, 0x9c, 0x39, 0x1e, 0x8d, 0x5a, 0x98, 0xbb,
		0x0d, 0xc7, 0x67, 0x2e, 0xf6, 0xfd, 0x8e, 0x2a, 0xfd, 0xaf, 0xa7, 0x88, 0xb6, 0xea, 0x02, 0x7b,
		0x19, 0x7f, 0x9d, 0x1d, 0x2a, 0xf6, 0xcf, 0x24, 0xb9, 0x8c, 0xfe, 0x2d, 0x3c, 0x1c, 0x51, 0xfa,
		0x2d, 0xec, 0x8c, 0x22, 0xd0, 0xe4, 0xe6, 0xb0, 0x37, 0x37, 0xfa, 0xa5, 0xa2, 0x78, 0x3b, 0x82,
		0x2b, 0x25, 0x3e, 0x0e, 0xce, 0x59, 0x3e, 0x43, 0xbf, 0x9b, 0x81, 0x1d, 0xcd, 0x34, 0x8f, 0x30,
		0xf5, 0xc7, 0x6e, 0x25, 0xfb, 0x30, 0xef, 0xe2, 0x38, 0x92, 0xde, 0xac, 0xef, 0x7e, 0x60, 0x6c,
		0x23, 0x5d, 0xf6, 0x83, 0xc4, 0xc6, 0x96, 0xa6, 0xc9, 0x56, 0xe8, 0x11, 0x8e, 0xa9, 0x1f, 0x29,
		0x59, 0xa0, 0xdf, 0x0a, 0x4f, 0x70, 0xc7, 0x67, 0xd8, 0xb3, 0x53, 0xb0, 0xb1, 0xb9, 0x68, 0x96,
		0xe0, 0xbc, 0x56, 0x2f, 0xbd, 0x07, 0xf7, 0x0c, 0x31, 0x90, 0x79, 0x2e, 0xff, 0xa7, 0x2b, 0x06,
		0xd3, 0xc8, 0x5e, 0xa7, 0x18, 0x7c, 0x05, 0x28, 0xe3, 0x75, 0x9a, 0x84, 0x63, 0x0f, 0x73, 0xac,
		0xe4, 0xcf, 0x7d, 0xe3, 0x07, 0x7e, 0xa5, 0xc0, 0x76, 0x81, 0xf7, 0x8d, 0x94, 0xbf, 0x5d, 0xca,
		0x84, 0x63, 0xef, 0x1c, 0xaf, 0x55, 0x38, 0xde, 0x85, 0x15, 0xb5, 0x84, 0x3a, 0x89, 0x26, 0x93,
		0x91, 0x80, 0x74, 0xe8, 0xd8, 0x4b, 0x94, 0x65, 0x06, 0x10, 0xca, 0x72, 0xce, 0xa0, 0x2c, 0xb3,
		0x89, 0x09, 0x65, 0x89, 0x73, 0x4f, 0x68, 0x17, 0xe6, 0x69, 0xd0, 0x8a, 0xb9, 0xda, 0x81, 0xcc,
		0x25, 0x28, 0xa1, 0x1a, 0x25, 0xb3, 0xf0, 0xbf, 0x2a, 0x99, 0xc5, 0xc9, 0x94, 0x4c, 0x1d, 0xb6,
		0x52, 0xbe, 0xa4, 0xc3, 0xb9, 0x3e, 0x8b, 0x88, 0x20, 0x62, 0x31, 0x57, 0xba, 0x72, 0x6b, 0x80,
		0xeb, 0x50, 0x1d, 0xfe, 0xec, 0x9b, 0xa9, 0x6d, 0x9d, 0x1d, 0x24, 0x96, 0x75, 0x69, 0x88, 0x3e,
		0x87, 0x9b, 0xe2, 0x23, 0x83, 0x94, 0xcb, 0xa3, 0x28, 0x6f, 0x08, 0xc3, 0x3e, 0xbe, 0x23, 0xd8,
		0x6c, 0x10, 0x1c, 0xf2, 0x33, 0x82, 0x79, 0x46, 0x05, 0xa3, 0xa8, 0x0a, 0x99, 0x4d, 0xca, 0x93,
		0xd3, 0xde, 0x89, 0x08, 0x9d, 0xef, 0x6a, 0xef, 0xd7, 0xb0, 0xdd, 0x9b, 0x09, 0x87, 0x9d, 0x3b,
		0xbc, 0x41, 0x23, 0x27, 0x35, 0x18, 0xad, 0x31, 0x4b, 0x3d, 0x99, 0xf9, 0xf5, 0x79, 0xbd, 0x41,
		0xa3, 0x3d, 0xc5, 0x7f, 0x9c, 0x9f, 0x41, 0xda, 0xac, 0xd6, 0xc6, 0xa8, 0x94, 0xee, 0x24, 0x0e,
		0x55, 0xd7, 0x1a, 0x38, 0x0a, 0xad, 0x4f, 0x77, 0x14, 0x7a, 0x08, 0x1b, 0x19, 0x8f, 0xea, 0x3e,
		0x1b, 0xb2, 0xc3, 0xa5, 0xc3, 0x87, 0xb2, 0x0b, 0x7d, 0x08, 0x0b, 0x0d, 0x82, 0x3d, 0x12, 0x16,
		0x0b, 0xea, 0x80, 0xa4, 0x3d, 0x68, 0x08, 0x88, 0xad, 0xa0, 0xe5, 0xef, 0xac, 0x4c, 0x69, 0xe6,
		0xbb, 0xc1, 0xa4, 0x4a, 0xf3, 0x23, 0x58, 0x90, 0xd2, 0x46, 0x75, 0x02, 0x73, 0xb0, 0x14, 0xd6,
		0xd4, 0xfb, 0xca, 0x0f, 0x32, 0x55, 0x31, 0xc4, 0x2f, 0xd5, 0xb2, 0xbf, 0x9d, 0x81, 0x87, 0x26,
		0xe0, 0x7e, 0xe7, 0xf8, 0x70, 0x54, 0xff, 0xbe, 0xae, 0x9e, 0xd6, 0x8d, 0xda, 0xdc, 0x94, 0x51,
		0x9b, 0xef, 0x8b, 0xda, 0x8f, 0xa1, 0x32, 0x3a, 0x18, 0x2a, 0x72, 0x7f, 0xb6, 0x32, 0x59, 0x90,
		0x07, 0x4f, 0x24, 0x0b, 0x1e, 0xc3, 0xe2, 0x39, 0xa6, 0x7e, 0x1c, 0x12, 0x63, 0xe2, 0x8f, 0x24,
		0xc6, 0x4e, 0xc1, 0xc6, 0xcc, 0x77, 0x77, 0x6a, 0x9d, 0x5b, 0xca, 0xf9, 0x6f, 0x66, 0xb4, 0xf5,
		0x21, 0x51, 0xdf, 0xe7, 0x9c, 0xe7, 0x22, 0x36, 0x37, 0x6d, 0xc4, 0xfa, 0xb3, 0xfe, 0x10, 0xee,
		0x8f, 0x88, 0x85, 0x8a, 0xda, 0x5f, 0x2c, 0x28, 0xeb, 0xea, 0x03, 0x07, 0x2e, 0x99, 0x28, 0xe9,
		0x69, 0x6b, 0x9c, 0x99, 0x56, 0xc7, 0xf5, 0x27, 0xfd, 0xbe, 0xbe, 0x0d, 0x65, 0x8e, 0xa9, 0x09,
		0xfc, 0x7e, 0x06, 0x1e, 0x18, 0x70, 0xdf, 0xf3, 0xc4, 0xa7, 0x51, 0x9b, 0x9b, 0x36, 0x6a, 0xfd,
		0x89, 0x7f, 0x5f, 0xdf, 0xfb, 0x7a, 0xa2, 0xd1, 0x93, 0x7a, 0x97, 0x85, 0x3d, 0xd0, 0x97, 0xe9,
		0xae, 0x75, 0x8d, 0xa9, 0x3f, 0x49, 0x52, 0x6f, 0x70, 0x4c, 0xe9, 0xd2, 0xf7, 0xa1, 0xe0, 0x8a,
		0x89, 0x39, 0xa1, 0xf4, 0x95, 0x78, 0xc2, 0xbf, 0x25, 0x7b, 0x43, 0x8e, 0xdb, 0xe9, 0xb0, 0xaa,
		0x92, 0xa1, 0x94, 0xff, 0x6f, 0x55, 0x52, 0x4f, 0xaa, 0x64, 0x44, 0x34, 0x26, 0x0f, 0xf2, 0xbf,
		0xbb, 0xdb, 0x87, 0xb8, 0x19, 0x98, 0x46, 0x36, 0xfc, 0xa2, 0x4f, 0x36, 0x8c, 0x7f, 0x01, 0x91,
		0x6e, 0x86, 0xa7, 0x70, 0x43, 0xfe, 0x5b, 0xc4, 0x69, 0x93, 0x50, 0x5c, 0x2d, 0xd0, 0xe0, 0x9c,
		0xa9, 0xf3, 0xe5, 0xf0, 0x44, 0x91, 0xf0, 0x54, 0xc2, 0xc5, 0x59, 0x79, 0xf3, 0xaa, 0x7f, 0x28,
		0xb7, 0x09, 0xe9, 0x26, 0xa7, 0xd6, 0xd4, 0x3f, 0xad, 0xa4, 0xf1, 0x8a, 0x99, 0xca, 0x35, 0x37,
		0x58, 0x03, 0xd7, 0x53, 0x66, 0xa6, 0x43, 0xe5, 0x1d, 0x00, 0x95, 0xdb, 0xf4, 0x2e, 0x7d, 0xd9,
		0x5e, 0x56, 0x23, 0xc7, 0x5e, 0xb9, 0x92, 0x2c, 0x1d, 0xf3, 0x94, 0xe4, 0xec, 0x77, 0xff, 0x50,
		0x80, 0x65, 0x19, 0xcb, 0xbd, 0x93, 0x63, 0xf4, 0x16, 0x6e, 0x68, 0xee, 0x6c, 0x50, 0x6d, 0xfc,
		0xdb, 0x1d, 0xf1, 0xd1, 0xd2, 0xc4, 0xd7, 0x41, 0xe8, 0x4f, 0x16, 0xdc, 0x36, 0xdd, 0xe2, 0xa0,
		0x27, 0xd3, 0x5e, 0xb3, 0x95, 0x3e, 0x99, 0xfa, 0xca, 0x08, 0x7d, 0x63, 0xc1, 0xd6, 0xd0, 0x0b,
		0x07, 0xf4, 0xb3, 0x71, 0x89, 0x7b, 0xd4, 0x58, 0xe9, 0xf1, 0xa4, 0x66, 0xca, 0x99, 0x6e, 0x72,
		0xf2, 0x2d, 0xc0, 0x9c, 0x1c, 0xcd, 0x05, 0x88, 0x39, 0x39, 0xda, 0xdb, 0x84, 0x5c, 0x72, 0xb4,
		0x8a, 0xd4, 0x9c, 0x1c, 0xd3, 0x91, 0xc4, 0x9c, 0x1c, 0xe3, 0xa1, 0x01, 0xbd, 0xd3, 0x4b, 0xdf,
		0x1e, 0x9d, 0x8c, 0x3e, 0x9d, 0x98, 0x3f, 0xb7, 0xb1, 0x94, 0x9e, 0x4f, 0x69, 0x3d, 0x58, 0x3e,
		0x83, 0x9a, 0xce, 0x5c, 0x3e, 0x43, 0xc5, 0xbc, 0xb9, 0x7c, 0x86, 0x8b, 0x6d, 0xf4, 0x9d, 0x05,
		0x77, 0x8c, 0x02, 0x13, 0x7d, 0x32, 0x19, 0x73, 0x3e, 0x50, 0x4f, 0xa7, 0x31, 0x55, 0x8e, 0xfd,
		0xd1, 0x82, 0x5b, 0x06, 0x01, 0x84, 0x3e, 0x1e, 0x3b, 0x09, 0xbd, 0x0a, 0xb8, 0xf4, 0x64, 0x72,
		0x43, 0xe5, 0xd2, 0xdf, 0x2c, 0xb8, 0x3b, 0x42, 0x93, 0xa1, 0x67, 0x93, 0xb2, 0xe7, 0xe3, 0xf5,
		0xe9, 0x74, 0xc6, 0x3d, 0x11, 0x1b, 0x2a, 0x06, 0x86, 0x46, 0x6c, 0x94, 0x70, 0x1c, 0x1a, 0xb1,
		0xd1, 0xc2, 0x4e, 0x46, 0xcc, 0xa8, 0x4f, 0x86, 0x46, 0x6c, 0x1c, 0x8d, 0x37, 0x34, 0x62, 0xe3,
		0x49, 0xa2, 0xdc, 0x4a, 0x1c, 0x94, 0x02, 0xe6, 0x95, 0x38, 0x54, 0x17, 0x99, 0x57, 0xe2, 0x70,
		0xc5, 0x81, 0xfe, 0x6a, 0xc1, 0xb6, 0x79, 0x7b, 0x46, 0xc3, 0xd6, 0xd3, 0x18, 0x32, 0xa5, 0xf4,
		0x6c, 0x2a, 0x5b, 0xe9, 0xdb, 0xfe, 0x29, 0xfc, 0xd0, 0x65, 0x4d, 0x1d, 0xc3, 0xfe, 0xd2, 0x5e,
		0x8b, 0x9e, 0x84, 0x8c, 0xb3, 0x13, 0xeb, 0xeb, 0xda, 0x05, 0xe5, 0x8d, 0xf8, 0xac, 0xea, 0xb2,
		0x66, 0xad, 0xe7, 0xf7, 0x19, 0xd5, 0x0b, 0x12, 0xc8, 0x1f, 0x9e, 0xa8, 0x9f, 0x6a, 0x3c, 0xc3,
		0x2d, 0xda, 0x7e, 0x74, 0xb6, 0x20, 0xc6, 0x3e, 0xfc, 0x6f, 0x00, 0x00, 0x00, 0xff, 0xff, 0xc7,
		0x09, 0x8c, 0x44, 0x1c, 0x23, 0x00, 0x00,
	},
	// google/protobuf/duration.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x92, 0x4b, 0xcf, 0xcf, 0x4f,
		0xcf, 0x49, 0xd5, 0x2f, 0x28, 0xca, 0x2f, 0xc9, 0x4f, 0x2a, 0x4d, 0xd3, 0x4f, 0x29, 0x2d, 0x4a,
		0x2c, 0xc9, 0xcc, 0xcf, 0xd3, 0x03, 0x8b, 0x08, 0xf1, 0x43, 0xe4, 0xf5, 0x60, 0xf2, 0x4a, 0x56,
		0x5c, 0x1c, 0x2e, 0x50, 0x25, 0x42, 0x12, 0x5c, 0xec, 0xc5, 0xa9, 0xc9, 0xf9, 0x79, 0x29, 0xc5,
		0x12, 0x8c, 0x0a, 0x8c, 0x1a, 0xcc, 0x41, 0x30, 0xae, 0x90, 0x08, 0x17, 0x6b, 0x5e, 0x62, 0x5e,
		0x7e, 0xb1, 0x04, 0x93, 0x02, 0xa3, 0x06, 0x6b, 0x10, 0x84, 0xe3, 0xd4, 0xcc, 0xc8, 0x25, 0x9c,
		0x9c, 0x9f, 0xab, 0x87, 0x66, 0xa6, 0x13, 0x2f, 0xcc, 0xc4, 0x00, 0x90, 0x48, 0x00, 0x63, 0x94,
		0x21, 0x54, 0x45, 0x7a, 0x7e, 0x4e, 0x62, 0x5e, 0xba, 0x5e, 0x7e, 0x51, 0x3a, 0xc2, 0x81, 0x25,
		0x95, 0x05, 0xa9, 0xc5, 0xfa, 0xd9, 0x79, 0xf9, 0xe5, 0x79, 0x70, 0xc7, 0x16, 0x24, 0xfd, 0x60,
		0x64, 0x5c, 0xc4, 0xc4, 0xec, 0x1e, 0xe0, 0xb4, 0x8a, 0x49, 0xce, 0x1d, 0xa2, 0x39, 0x00, 0xaa,
		0x43, 0x2f, 0x3c, 0x35, 0x27, 0xc7, 0x1b, 0xa4, 0x3e, 0x04, 0xa4, 0x35, 0x89, 0x0d, 0x6c, 0x94,
		0x31, 0x20, 0x00, 0x00, 0xff, 0xff, 0xef, 0x8a, 0xb4, 0xc3, 0xfb, 0x00, 0x00, 0x00,
	},
	// google/protobuf/timestamp.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x92, 0x4f, 0xcf, 0xcf, 0x4f,
		0xcf, 0x49, 0xd5, 0x2f, 0x28, 0xca, 0x2f, 0xc9, 0x4f, 0x2a, 0x4d, 0xd3, 0x2f, 0xc9, 0xcc, 0x4d,
		0x2d, 0x2e, 0x49, 0xcc, 0x2d, 0xd0, 0x03, 0x0b, 0x09, 0xf1, 0x43, 0x14, 0xe8, 0xc1, 0x14, 0x28,
		0x59, 0x73, 0x71, 0x86, 0xc0, 0xd4, 0x08, 0x49, 0x70, 0xb1, 0x17, 0xa7, 0x26, 0xe7, 0xe7, 0xa5,
		0x14, 0x4b, 0x30, 0x2a, 0x30, 0x6a, 0x30, 0x07, 0xc1, 0xb8, 0x42, 0x22, 0x5c, 0xac, 0x79, 0x89,
		0x79, 0xf9, 0xc5, 0x12, 0x4c, 0x0a, 0x8c, 0x1a, 0xac, 0x41, 0x10, 0x8e, 0x53, 0x2b, 0x23, 0x97,
		0x70, 0x72, 0x7e, 0xae, 0x1e, 0x9a, 0xa1, 0x4e, 0x7c, 0x70, 0x23, 0x03, 0x40, 0x42, 0x01, 0x8c,
		0x51, 0x46, 0x50, 0x25, 0xe9, 0xf9, 0x39, 0x89, 0x79, 0xe9, 0x7a, 0xf9, 0x45, 0xe9, 0x48, 0x6e,
		0xac, 0x2c, 0x48, 0x2d, 0xd6, 0xcf, 0xce, 0xcb, 0x2f, 0xcf, 0x43, 0xb8, 0xb7, 0x20, 0xe9, 0x07,
		0x23, 0xe3, 0x22, 0x26, 0x66, 0xf7, 0x00, 0xa7, 0x55, 0x4c, 0x72, 0xee, 0x10, 0xdd, 0x01, 0x50,
		0x2d, 0x7a, 0xe1, 0xa9, 0x39, 0x39, 0xde, 0x20, 0x0d, 0x21, 0x20, 0xbd, 0x49, 0x6c, 0x60, 0xb3,
		0x8c, 0x01, 0x01, 0x00, 0x00, 0xff, 0xff, 0xae, 0x65, 0xce, 0x7d, 0xff, 0x00, 0x00, 0x00,
	},
	// google/protobuf/wrappers.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x92, 0x4b, 0xcf, 0xcf, 0x4f,
		0xcf, 0x49, 0xd5, 0x2f, 0x28, 0xca, 0x2f, 0xc9, 0x4f, 0x2a, 0x4d, 0xd3, 0x2f, 0x2f, 0x4a, 0x2c,
		0x28, 0x48, 0x2d, 0x2a, 0xd6, 0x03, 0x8b, 0x08, 0xf1, 0x43, 0xe4, 0xf5, 0x60, 0xf2, 0x4a, 0xca,
		0x5c, 0xdc, 0x2e, 0xf9, 0xa5, 0x49, 0x39, 0xa9, 0x61, 0x89, 0x39, 0xa5, 0xa9, 0x42, 0x22, 0x5c,
		0xac, 0x65, 0x20, 0x86, 0x04, 0xa3, 0x02, 0xa3, 0x06, 0x63, 0x10, 0x84, 0xa3, 0xa4, 0xc4, 0xc5,
		0xe5, 0x96, 0x93, 0x9f, 0x58, 0x82, 0x45, 0x0d, 0x13, 0x92, 0x1a, 0xcf, 0xbc, 0x12, 0x33, 0x13,
		0x2c, 0x6a, 0x98, 0x61, 0x6a, 0x94, 0xb9, 0xb8, 0x43, 0x71, 0x29, 0x62, 0x41, 0x35, 0xc8, 0xd8,
		0x08, 0x8b, 0x1a, 0x56, 0x34, 0x83, 0xb0, 0x2a, 0xe2, 0x85, 0x29, 0x52, 0xe4, 0xe2, 0x74, 0xca,
		0xcf, 0xcf, 0xc1, 0xa2, 0x84, 0x03, 0xc9, 0x9c, 0xe0, 0x92, 0xa2, 0xcc, 0xbc, 0x74, 0x2c, 0x8a,
		0x38, 0x91, 0x1c, 0xe4, 0x54, 0x59, 0x92, 0x5a, 0x8c, 0x45, 0x0d, 0x0f, 0x54, 0x8d, 0x53, 0x33,
		0x23, 0x97, 0x70, 0x72, 0x7e, 0xae, 0x1e, 0x5a, 0xf0, 0x3a, 0xf1, 0x86, 0x43, 0xc3, 0x3f, 0x00,
		0x24, 0x12, 0xc0, 0x18, 0x65, 0x08, 0x55, 0x91, 0x9e, 0x9f, 0x93, 0x98, 0x97, 0xae, 0x97, 0x5f,
		0x94, 0x8e, 0x88, 0xab, 0x92, 0xca, 0x82, 0xd4, 0x62, 0xfd, 0xec, 0xbc, 0xfc, 0xf2, 0x3c, 0x78,
		0xbc, 0x15, 0x24, 0xfd, 0x60, 0x64, 0x5c, 0xc4, 0xc4, 0xec, 0x1e, 0xe0, 0xb4, 0x8a, 0x49, 0xce,
		0x1d, 0xa2, 0x39, 0x00, 0xaa, 0x43, 0x2f, 0x3c, 0x35, 0x27, 0xc7, 0x1b, 0xa4, 0x3e, 0x04, 0xa4,
		0x35, 0x89, 0x0d, 0x6c, 0x94, 0x31, 0x20, 0x00, 0x00, 0xff, 0xff, 0x3c, 0x92, 0x48, 0x30, 0x06,
		0x02, 0x00, 0x00,
	},
	// uber/cadence/api/v1/common.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xbc, 0x55, 0x4f, 0x6f, 0xdb, 0x36,
		0x14, 0x9f, 0xe2, 0xda, 0x49, 0x9f, 0xdd, 0xd4, 0x63, 0xd6, 0xd4, 0xc9, 0xfe, 0x79, 0x06, 0x86,
		0x66, 0x3b, 0x48, 0x88, 0x7b, 0x29, 0x56, 0x14, 0x83, 0x13, 0x3b, 0xab, 0xda, 0x2d, 0x31, 0x64,
		0x23, 0xc1, 0x76, 0x98, 0x40, 0x4b, 0x4f, 0x2e, 0x67, 0x89, 0x14, 0x28, 0xca, 0x89, 0x6f, 0xfb,
		0x24, 0x3b, 0xec, 0x2b, 0xed, 0x0b, 0x0d, 0x94, 0xe8, 0xd8, 0xee, 0x3c, 0xf4, 0x32, 0xec, 0x46,
		0xbe, 0xdf, 0x9f, 0xf7, 0xa3, 0xf0, 0x48, 0x41, 0x3b, 0x9f, 0xa0, 0x74, 0x02, 0x1a, 0x22, 0x0f,
		0xd0, 0xa1, 0x29, 0x73, 0xe6, 0xa7, 0x4e, 0x20, 0x92, 0x44, 0x70, 0x3b, 0x95, 0x42, 0x09, 0x72,
		0xa0, 0x19, 0xb6, 0x61, 0xd8, 0x34, 0x65, 0xf6, 0xfc, 0xf4, 0xf8, 0x8b, 0xa9, 0x10, 0xd3, 0x18,
		0x9d, 0x82, 0x32, 0xc9, 0x23, 0x27, 0xcc, 0x25, 0x55, 0x6c, 0x29, 0xea, 0xbc, 0x85, 0x8f, 0x6f,
		0x84, 0x9c, 0x45, 0xb1, 0xb8, 0x1d, 0xdc, 0x61, 0x90, 0x6b, 0x88, 0x7c, 0x09, 0xf5, 0x5b, 0x53,
		0xf4, 0x59, 0xd8, 0xb2, 0xda, 0xd6, 0xc9, 0x43, 0x0f, 0x96, 0x25, 0x37, 0x24, 0x4f, 0xa0, 0x26,
		0x73, 0xae, 0xb1, 0x9d, 0x02, 0xab, 0xca, 0x9c, 0xbb, 0x61, 0xa7, 0x03, 0x8d, 0xa5, 0xd9, 0x78,
		0x91, 0x22, 0x21, 0xf0, 0x80, 0xd3, 0x04, 0x8d, 0x41, 0xb1, 0xd6, 0x9c, 0x5e, 0xa0, 0xd8, 0x9c,
		0xa9, 0xc5, 0xbf, 0x72, 0x3e, 0x87, 0xdd, 0x21, 0x5d, 0xc4, 0x82, 0x86, 0x1a, 0x0e, 0xa9, 0xa2,
		0x05, 0xdc, 0xf0, 0x8a, 0x75, 0xe7, 0x25, 0xec, 0x5e, 0x50, 0x16, 0xe7, 0x12, 0xc9, 0x21, 0xd4,
		0x24, 0xd2, 0x4c, 0x70, 0xa3, 0x37, 0x3b, 0xd2, 0x82, 0xdd, 0x10, 0x15, 0x65, 0x71, 0x56, 0x24,
		0x6c, 0x78, 0xcb, 0x6d, 0xe7, 0x0f, 0x0b, 0x1e, 0xfc, 0x84, 0x89, 0x20, 0xaf, 0xa0, 0x16, 0x31,
		0x8c, 0xc3, 0xac, 0x65, 0xb5, 0x2b, 0x27, 0xf5, 0xee, 0xd7, 0xf6, 0x96, 0xef, 0x67, 0x6b, 0xaa,
		0x7d, 0x51, 0xf0, 0x06, 0x5c, 0xc9, 0x85, 0x67, 0x44, 0xc7, 0x37, 0x50, 0x5f, 0x2b, 0x93, 0x26,
		0x54, 0x66, 0xb8, 0x30, 0x29, 0xf4, 0x92, 0x74, 0xa1, 0x3a, 0xa7, 0x71, 0x8e, 0x45, 0x80, 0x7a,
		0xf7, 0xb3, 0xad, 0xf6, 0xe6, 0x98, 0x5e, 0x49, 0xfd, 0x6e, 0xe7, 0x85, 0xd5, 0xf9, 0xd3, 0x82,
		0xda, 0x6b, 0xa4, 0x21, 0x4a, 0xf2, 0xfd, 0x7b, 0x11, 0x9f, 0x6d, 0xf5, 0x28, 0xc9, 0xff, 0x6f,
		0xc8, 0xbf, 0x2c, 0x68, 0x8e, 0x90, 0xca, 0xe0, 0x5d, 0x4f, 0x29, 0xc9, 0x26, 0xb9, 0xc2, 0x8c,
		0xf8, 0xb0, 0xcf, 0x78, 0x88, 0x77, 0x18, 0xfa, 0x1b, 0xb1, 0x5f, 0x6c, 0x75, 0x7d, 0x5f, 0x6e,
		0xbb, 0xa5, 0x76, 0xfd, 0x1c, 0x8f, 0xd8, 0x7a, 0xed, 0xf8, 0x57, 0x20, 0xff, 0x24, 0xfd, 0x87,
		0xa7, 0x8a, 0x60, 0xaf, 0x4f, 0x15, 0x3d, 0x8b, 0xc5, 0x84, 0x5c, 0xc0, 0x23, 0xe4, 0x81, 0x08,
		0x19, 0x9f, 0xfa, 0x6a, 0x91, 0x96, 0x03, 0xba, 0xdf, 0xfd, 0x6a, 0xab, 0xd7, 0xc0, 0x30, 0xf5,
		0x44, 0x7b, 0x0d, 0x5c, 0xdb, 0xdd, 0x0f, 0xf0, 0xce, 0xda, 0x00, 0x0f, 0xcb, 0x4b, 0x87, 0xf2,
		0x1a, 0x65, 0xc6, 0x04, 0x77, 0x79, 0x24, 0x34, 0x91, 0x25, 0x69, 0xbc, 0xbc, 0x08, 0x7a, 0x4d,
		0x9e, 0xc1, 0xe3, 0x08, 0xa9, 0xca, 0x25, 0xfa, 0xf3, 0x92, 0x6a, 0x2e, 0xdc, 0xbe, 0x29, 0x1b,
		0x83, 0xce, 0x5b, 0x78, 0x3a, 0xca, 0xd3, 0x54, 0x48, 0x85, 0xe1, 0x79, 0xcc, 0x90, 0x2b, 0x83,
		0x64, 0xfa, 0xae, 0x4e, 0x85, 0x9f, 0x85, 0x33, 0xe3, 0x5c, 0x9d, 0x8a, 0x51, 0x38, 0x23, 0x47,
		0xb0, 0xf7, 0x1b, 0x9d, 0xd3, 0x02, 0x28, 0x3d, 0x77, 0xf5, 0x7e, 0x14, 0xce, 0x3a, 0xbf, 0x57,
		0xa0, 0xee, 0xa1, 0x92, 0x8b, 0xa1, 0x88, 0x59, 0xb0, 0x20, 0x7d, 0x68, 0x32, 0xce, 0x14, 0xa3,
		0xb1, 0xcf, 0xb8, 0x42, 0x39, 0xa7, 0x65, 0xca, 0x7a, 0xf7, 0xc8, 0x2e, 0x9f, 0x17, 0x7b, 0xf9,
		0xbc, 0xd8, 0x7d, 0xf3, 0xbc, 0x78, 0x8f, 0x8d, 0xc4, 0x35, 0x0a, 0xe2, 0xc0, 0xc1, 0x84, 0x06,
		0x33, 0x11, 0x45, 0x7e, 0x20, 0x30, 0x8a, 0x58, 0xa0, 0x63, 0x16, 0xbd, 0x2d, 0x8f, 0x18, 0xe8,
		0x7c, 0x85, 0xe8, 0xb6, 0x09, 0xbd, 0x63, 0x49, 0x9e, 0xac, 0xda, 0x56, 0x3e, 0xd8, 0xd6, 0x48,
		0xee, 0xdb, 0x7e, 0xb3, 0x72, 0xa1, 0x4a, 0x61, 0x92, 0xaa, 0xac, 0xf5, 0xa0, 0x6d, 0x9d, 0x54,
		0xef, 0xa9, 0x3d, 0x53, 0x26, 0xaf, 0xe0, 0x53, 0x2e, 0xb8, 0x2f, 0xf5, 0xd1, 0xe9, 0x24, 0x46,
		0x1f, 0xa5, 0x14, 0xd2, 0x2f, 0x9f, 0x94, 0xac, 0x55, 0x6d, 0x57, 0x4e, 0x1e, 0x7a, 0x2d, 0x2e,
		0xb8, 0xb7, 0x64, 0x0c, 0x34, 0xc1, 0x2b, 0x71, 0xf2, 0x06, 0x0e, 0xf0, 0x2e, 0x65, 0x65, 0x90,
		0x55, 0xe4, 0xda, 0x87, 0x22, 0x93, 0x95, 0x6a, 0x99, 0xfa, 0xdb, 0x5b, 0x68, 0xac, 0xcf, 0x14,
		0x39, 0x82, 0x27, 0x83, 0xcb, 0xf3, 0xab, 0xbe, 0x7b, 0xf9, 0x83, 0x3f, 0xfe, 0x79, 0x38, 0xf0,
		0xdd, 0xcb, 0xeb, 0xde, 0x8f, 0x6e, 0xbf, 0xf9, 0x11, 0x39, 0x86, 0xc3, 0x4d, 0x68, 0xfc, 0xda,
		0x73, 0x2f, 0xc6, 0xde, 0x4d, 0xd3, 0x22, 0x87, 0x40, 0x36, 0xb1, 0x37, 0xa3, 0xab, 0xcb, 0xe6,
		0x0e, 0x69, 0xc1, 0x27, 0x9b, 0xf5, 0xa1, 0x77, 0x35, 0xbe, 0x7a, 0xde, 0xac, 0x9c, 0x5d, 0xc3,
		0xd3, 0x40, 0x24, 0xdb, 0x86, 0xfc, 0x6c, 0xaf, 0x97, 0xb2, 0xa1, 0x4e, 0x3f, 0xb4, 0x7e, 0x71,
		0xa6, 0x4c, 0xbd, 0xcb, 0x27, 0x76, 0x20, 0x12, 0x67, 0xe3, 0xc7, 0x64, 0x4f, 0x91, 0x97, 0x3f,
		0x1b, 0xf3, 0x8f, 0x7a, 0x49, 0x53, 0x36, 0x3f, 0x9d, 0xd4, 0x8a, 0xda, 0xf3, 0xbf, 0x03, 0x00,
		0x00, 0xff, 0xff, 0xdc, 0x8c, 0x77, 0x9a, 0xc7, 0x06, 0x00, 0x00,
	},
	// uber/cadence/api/v1/decision.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xbc, 0x59, 0x5d, 0x4f, 0xdc, 0x46,
		0x17, 0x7e, 0xcd, 0xc7, 0x7e, 0x1c, 0x20, 0x6f, 0x18, 0x12, 0x02, 0x09, 0x09, 0x64, 0x5f, 0xbd,
		0xa4, 0x09, 0x62, 0x17, 0x48, 0x1a, 0x45, 0x49, 0x15, 0x15, 0x48, 0x50, 0x90, 0x12, 0x82, 0x1c,
		0x92, 0x48, 0xbd, 0xb1, 0x86, 0xf1, 0x00, 0x23, 0xbc, 0xb6, 0x3b, 0x1e, 0x43, 0xb6, 0x52, 0xa5,
		0x5e, 0xb5, 0xbd, 0xe9, 0x0f, 0xa8, 0xd4, 0xab, 0x5e, 0xb5, 0x37, 0xed, 0x6d, 0xab, 0x5e, 0xf5,
		0x27, 0xf4, 0xa2, 0xff, 0xa3, 0x52, 0xff, 0x40, 0x35, 0xe3, 0xb1, 0x77, 0x59, 0xbc, 0x5e, 0x9b,
		0xa4, 0xb9, 0xc3, 0xe3, 0x73, 0x9e, 0x79, 0x66, 0xce, 0xcc, 0x79, 0x1e, 0xb3, 0x50, 0x0b, 0x77,
		0x29, 0x6f, 0x10, 0x6c, 0x53, 0x97, 0xd0, 0x06, 0xf6, 0x59, 0xe3, 0x68, 0xb9, 0x61, 0x53, 0xc2,
		0x02, 0xe6, 0xb9, 0x75, 0x9f, 0x7b, 0xc2, 0x43, 0x13, 0x32, 0xa6, 0xae, 0x63, 0xea, 0xd8, 0x67,
		0xf5, 0xa3, 0xe5, 0xcb, 0xd7, 0xf6, 0x3d, 0x6f, 0xdf, 0xa1, 0x0d, 0x15, 0xb2, 0x1b, 0xee, 0x35,
		0xec, 0x90, 0x63, 0x91, 0x24, 0x5d, 0x9e, 0x4b, 0x03, 0x26, 0x5e, 0xb3, 0x99, 0x44, 0xa4, 0x4e,
		0x2d, 0x70, 0x70, 0xe8, 0xb0, 0x40, 0x64, 0xc5, 0x1c, 0x7b, 0xfc, 0x70, 0xcf, 0xf1, 0x8e, 0xa3,
		0x98, 0xda, 0xd7, 0xe3, 0x50, 0x79, 0xa4, 0x19, 0xa3, 0x6f, 0x0d, 0xb8, 0x15, 0x90, 0x03, 0x6a,
		0x87, 0x0e, 0xb5, 0x30, 0x11, 0xec, 0x88, 0x89, 0x96, 0x25, 0x51, 0xad, 0x78, 0x55, 0x16, 0x16,
		0x82, 0xb3, 0xdd, 0x50, 0xd0, 0x60, 0xca, 0x98, 0x33, 0x3e, 0x18, 0x59, 0x79, 0x50, 0x4f, 0x59,
		0x61, 0xfd, 0x85, 0x86, 0x59, 0xd5, 0x28, 0x3b, 0x38, 0x38, 0x8c, 0xe7, 0x59, 0x4d, 0x20, 0x9e,
		0xfc, 0xc7, 0x9c, 0x0f, 0x72, 0x45, 0xa2, 0xcf, 0x60, 0x36, 0x10, 0x98, 0x0b, 0x4b, 0xb0, 0x26,
		0xe5, 0xa9, 0x7c, 0x06, 0x14, 0x9f, 0xe5, 0x74, 0x3e, 0x32, 0x77, 0x47, 0xa6, 0xa6, 0xb2, 0x98,
		0x09, 0x32, 0xde, 0xa3, 0x1f, 0x0c, 0x90, 0xbb, 0xef, 0x3b, 0x54, 0x50, 0x2b, 0xde, 0x40, 0x8b,
		0xbe, 0xa1, 0x24, 0x94, 0x45, 0x4b, 0x25, 0x33, 0xa8, 0xc8, 0x7c, 0x9c, 0x4a, 0x66, 0x5d, 0x63,
		0xbd, 0xd6, 0x50, 0x8f, 0x63, 0xa4, 0x54, 0x6e, 0x0b, 0x24, 0x7f, 0x38, 0xfa, 0xce, 0x80, 0x85,
		0x3d, 0xcc, 0x9c, 0xbc, 0x34, 0x87, 0x14, 0xcd, 0x8f, 0x52, 0x69, 0x6e, 0x60, 0xe6, 0xe4, 0xa3,
		0x78, 0x63, 0x2f, 0x5f, 0x28, 0xfa, 0xd1, 0x80, 0x25, 0x4e, 0x3f, 0x0d, 0x69, 0x20, 0x2c, 0x82,
		0x5d, 0x42, 0x9d, 0x1c, 0xe7, 0x6c, 0x38, 0x63, 0x2b, 0xcd, 0x08, 0x6c, 0x5d, 0x61, 0xf5, 0x3d,
		0x6c, 0x0b, 0x3c, 0x7f, 0x38, 0xfa, 0x1c, 0xe6, 0x34, 0xc5, 0xde, 0x47, 0xae, 0xa4, 0xa8, 0xad,
		0xa4, 0x57, 0x59, 0x25, 0xf7, 0x3e, 0x73, 0x57, 0x49, 0x56, 0x00, 0xfa, 0xde, 0x80, 0x45, 0x3d,
		0x7f, 0xce, 0x5a, 0x96, 0x15, 0x99, 0x87, 0x19, 0x64, 0xf2, 0x55, 0xf3, 0x26, 0xc9, 0x1b, 0x8c,
		0xfe, 0x30, 0xe0, 0x61, 0x57, 0x3d, 0xe9, 0x1b, 0x41, 0xb9, 0x8b, 0x73, 0xb3, 0xae, 0x28, 0xd6,
		0xcf, 0xfa, 0x57, 0xf7, 0xb1, 0x06, 0xce, 0xb7, 0x88, 0x7b, 0xfc, 0x8c, 0xb9, 0xe8, 0x0b, 0x03,
		0xae, 0x73, 0x4a, 0x3c, 0x6e, 0x5b, 0x4d, 0xcc, 0x0f, 0x7b, 0x54, 0xbe, 0xaa, 0x68, 0xdf, 0xee,
		0x41, 0x5b, 0x66, 0x3f, 0x53, 0xc9, 0xa9, 0xe4, 0xae, 0xf1, 0xcc, 0x08, 0xf4, 0xab, 0x01, 0x77,
		0x89, 0xe7, 0x0a, 0xe6, 0x86, 0xd4, 0xc2, 0x81, 0xe5, 0xd2, 0xe3, 0xbc, 0xdb, 0x09, 0x8a, 0xd7,
		0xe3, 0x1e, 0x7d, 0x27, 0x82, 0x5c, 0x0d, 0xb6, 0xe8, 0x71, 0xbe, 0x6d, 0x5c, 0x22, 0x05, 0x73,
		0xd0, 0xcf, 0x06, 0xac, 0x44, 0x9d, 0x9a, 0x1c, 0x30, 0xc7, 0xce, 0xcb, 0x7b, 0x44, 0xf1, 0x5e,
		0xeb, 0xdd, 0xbc, 0xd7, 0x25, 0x5a, 0x3e, 0xd2, 0x8b, 0x41, 0x91, 0x04, 0xf4, 0x9b, 0x01, 0x77,
		0x03, 0xb6, 0x2f, 0xcf, 0x6c, 0xd1, 0xc3, 0x3b, 0xaa, 0x58, 0x6f, 0xa4, 0xb3, 0x56, 0x90, 0xc5,
		0x4e, 0xed, 0x72, 0x50, 0x34, 0x09, 0xfd, 0x62, 0xc0, 0x87, 0xa1, 0x1f, 0x50, 0x2e, 0xda, 0xa4,
		0x03, 0x8a, 0x39, 0x39, 0xe8, 0x20, 0x9a, 0x4a, 0x7e, 0x2c, 0xe3, 0xa8, 0xbc, 0x54, 0x88, 0xf1,
		0xfc, 0x2f, 0x14, 0x5e, 0x7b, 0xd2, 0xf4, 0xa3, 0x12, 0x16, 0xcc, 0x59, 0x1b, 0x05, 0x68, 0xd3,
		0xa9, 0x7d, 0x53, 0x82, 0xf9, 0x7c, 0xb6, 0x01, 0xcd, 0xc2, 0x48, 0x22, 0x1b, 0xcc, 0x56, 0x46,
		0xa4, 0x6a, 0x42, 0x3c, 0xb4, 0x69, 0xa3, 0x0d, 0x18, 0x6b, 0xeb, 0x4a, 0xcb, 0xa7, 0xda, 0x1b,
		0x5c, 0x4f, 0x5d, 0x6b, 0x32, 0x59, 0xcb, 0xa7, 0xe6, 0x28, 0xee, 0x78, 0x42, 0x93, 0x50, 0xb2,
		0xbd, 0x26, 0x66, 0xae, 0xd2, 0xf3, 0xaa, 0xa9, 0x9f, 0xd0, 0x7d, 0xa8, 0x2a, 0xb9, 0x92, 0x6e,
		0x4b, 0x6b, 0xe8, 0xd5, 0x54, 0x6c, 0xb9, 0x80, 0xa7, 0x2c, 0x10, 0x66, 0x45, 0xe8, 0xbf, 0xd0,
		0x0a, 0x0c, 0x33, 0xd7, 0x0f, 0x85, 0xd6, 0xb5, 0x99, 0xd4, 0xbc, 0x6d, 0xdc, 0x72, 0x3c, 0x6c,
		0x9b, 0x51, 0x28, 0xda, 0x81, 0xe9, 0xc4, 0x98, 0x09, 0xcf, 0x22, 0x8e, 0x17, 0x50, 0x25, 0x4b,
		0x5e, 0x28, 0xb4, 0x08, 0x4d, 0xd7, 0x23, 0x53, 0x59, 0x8f, 0x4d, 0x65, 0xfd, 0x91, 0x36, 0x95,
		0xe6, 0x64, 0x9c, 0xbb, 0xe3, 0xad, 0xcb, 0xcc, 0x9d, 0x28, 0xb1, 0x1b, 0xb5, 0xed, 0xaf, 0x24,
		0x6a, 0xb9, 0x00, 0x6a, 0xe2, 0xae, 0x24, 0xea, 0x16, 0x4c, 0x6a, 0xa4, 0x6e, 0xa2, 0x95, 0x7e,
		0x90, 0x13, 0x91, 0x0d, 0x3b, 0xc9, 0x72, 0x03, 0xc6, 0x0f, 0x28, 0xe6, 0x62, 0x97, 0xe2, 0x36,
		0xbb, 0x6a, 0x3f, 0xa8, 0xf3, 0x49, 0x4e, 0x8c, 0xb3, 0x0e, 0xa3, 0x9c, 0x0a, 0xde, 0xb2, 0x7c,
		0xcf, 0x61, 0xa4, 0xa5, 0x3b, 0xce, 0x5c, 0x8f, 0x0e, 0x2e, 0x78, 0x6b, 0x5b, 0xc5, 0x99, 0x23,
		0xbc, 0xfd, 0x80, 0x6e, 0x43, 0xe9, 0x80, 0x62, 0x9b, 0x72, 0x7d, 0xf5, 0xaf, 0xa4, 0xa6, 0x3f,
		0x51, 0x21, 0xa6, 0x0e, 0x45, 0x77, 0x60, 0x32, 0x16, 0x49, 0xc7, 0x23, 0xd8, 0xb1, 0x6c, 0x16,
		0xf8, 0x58, 0x90, 0x03, 0x75, 0x05, 0x2b, 0xe6, 0x05, 0xfd, 0xf6, 0xa9, 0x7c, 0xf9, 0x48, 0xbf,
		0xab, 0x7d, 0x65, 0xc0, 0x4c, 0x96, 0x6d, 0x45, 0xd3, 0x50, 0x89, 0x9c, 0x49, 0x72, 0x05, 0xca,
		0xea, 0x79, 0xd3, 0x46, 0x4f, 0xe1, 0x62, 0x52, 0x83, 0x3d, 0xc6, 0xdb, 0x25, 0x18, 0xe8, 0xb7,
		0x6f, 0x48, 0x97, 0x60, 0x83, 0xf1, 0xb8, 0x02, 0x35, 0x02, 0x0b, 0x05, 0x2c, 0x2b, 0xba, 0x03,
		0x25, 0x4e, 0x83, 0xd0, 0x11, 0xfa, 0x0b, 0x21, 0xfb, 0x84, 0xeb, 0xd8, 0x1a, 0x86, 0x1b, 0x39,
		0x0d, 0x27, 0xba, 0x0b, 0x65, 0x69, 0x38, 0x43, 0x4e, 0x33, 0x67, 0xd8, 0x88, 0x62, 0xcc, 0x38,
		0xb8, 0xb6, 0x05, 0x0b, 0x05, 0xfc, 0x62, 0xdf, 0x2e, 0x53, 0xbb, 0x0f, 0x57, 0x33, 0x4d, 0x5e,
		0x46, 0x85, 0x6a, 0x04, 0x6e, 0xe6, 0xf6, 0x64, 0x72, 0xc1, 0x36, 0x15, 0x98, 0x39, 0x41, 0xae,
		0x2d, 0x8d, 0x83, 0x6b, 0x7f, 0x1b, 0x70, 0xef, 0xac, 0x1e, 0xaa, 0xa3, 0xf7, 0x19, 0x27, 0x7a,
		0xdf, 0x4b, 0x40, 0xa7, 0xd5, 0x51, 0x1f, 0xac, 0xf9, 0x54, 0x5e, 0xa7, 0x66, 0x33, 0xc7, 0x8f,
		0xbb, 0x87, 0xd0, 0x14, 0x94, 0xa5, 0xd7, 0xe0, 0x9e, 0xa3, 0x7a, 0xed, 0xa8, 0x19, 0x3f, 0xa2,
		0x3a, 0x4c, 0x74, 0x59, 0x09, 0xcf, 0x75, 0x5a, 0xaa, 0xed, 0x56, 0xcc, 0x71, 0xd2, 0x29, 0xf3,
		0xcf, 0x5d, 0xa7, 0x55, 0xfb, 0xc9, 0x80, 0x6b, 0xd9, 0x16, 0x4c, 0x96, 0x56, 0x7b, 0x3b, 0x17,
		0x37, 0x69, 0x5c, 0xda, 0x68, 0x68, 0x0b, 0x37, 0x69, 0xe7, 0x8e, 0x0f, 0x14, 0xd8, 0xf1, 0x8e,
		0xfe, 0x30, 0x98, 0xbb, 0x3f, 0xd4, 0xfe, 0x2a, 0xc3, 0x52, 0x51, 0x6f, 0x26, 0x25, 0x2e, 0xd9,
		0x0f, 0x25, 0x71, 0x46, 0x86, 0xc4, 0xc5, 0x80, 0x91, 0xc4, 0x1d, 0x77, 0x3c, 0x9d, 0x94, 0xb2,
		0x81, 0x33, 0x4a, 0xd9, 0x60, 0x7e, 0x29, 0xc3, 0x30, 0xd7, 0xf6, 0x54, 0x3d, 0x84, 0x62, 0xa8,
		0x5f, 0x97, 0x9a, 0x49, 0x20, 0x5e, 0xa4, 0x28, 0xc6, 0x6b, 0xb8, 0xa2, 0x96, 0xd4, 0x03, 0x7d,
		0xb8, 0x1f, 0xfa, 0x25, 0x99, 0x9d, 0x06, 0xfc, 0x1c, 0x26, 0x77, 0x31, 0x39, 0xf4, 0xf6, 0xf6,
		0x34, 0x36, 0x73, 0x05, 0xe5, 0x47, 0xd8, 0xe9, 0xaf, 0xc1, 0x17, 0x74, 0xa2, 0x82, 0xdd, 0xd4,
		0x69, 0xa7, 0x34, 0xa9, 0x7c, 0x16, 0x4d, 0xda, 0x84, 0x2a, 0x73, 0x99, 0x60, 0x58, 0x78, 0x5c,
		0x69, 0xec, 0xb9, 0x95, 0x85, 0xfe, 0xfe, 0x7f, 0x33, 0x4e, 0x31, 0xdb, 0xd9, 0x9d, 0x9d, 0xb5,
		0x5a, 0xa0, 0xb3, 0x22, 0x13, 0x26, 0x1d, 0x2c, 0xbf, 0x01, 0x23, 0x99, 0x90, 0xa5, 0xd5, 0x12,
		0x00, 0x39, 0x4e, 0xc6, 0x05, 0x99, 0xbb, 0x9e, 0xa4, 0x9a, 0x2a, 0x13, 0xfd, 0x0f, 0xc6, 0x08,
		0x97, 0x67, 0x44, 0xdb, 0x0c, 0x25, 0xd8, 0x55, 0x73, 0x54, 0x0e, 0xc6, 0x3e, 0xf1, 0x6c, 0x7a,
		0xbc, 0x08, 0x43, 0x4d, 0xda, 0xf4, 0xb4, 0x01, 0x9e, 0x4e, 0x4d, 0x79, 0x46, 0x9b, 0x9e, 0xa9,
		0xc2, 0x90, 0x09, 0xe3, 0xa7, 0x0c, 0xf5, 0xd4, 0x39, 0x95, 0xfb, 0xff, 0x74, 0xe7, 0xdf, 0x65,
		0x7d, 0xcd, 0xf3, 0x41, 0xd7, 0x48, 0xed, 0xcf, 0x32, 0x2c, 0x16, 0xfa, 0xac, 0xe9, 0xd9, 0x8e,
		0x67, 0x61, 0x24, 0xe9, 0x03, 0xcc, 0x56, 0x37, 0xb8, 0x6a, 0x42, 0x3c, 0x14, 0x79, 0xe1, 0x93,
		0x8d, 0x62, 0xf0, 0x1d, 0x34, 0x8a, 0xf7, 0xe0, 0x79, 0xf3, 0x34, 0x8a, 0xd2, 0xbf, 0xda, 0x28,
		0xca, 0x67, 0x6e, 0x14, 0xaf, 0x60, 0xc2, 0xc7, 0x9c, 0xba, 0x42, 0x23, 0xea, 0xeb, 0x1d, 0x5d,
		0xce, 0xf9, 0x1e, 0xab, 0x97, 0xf1, 0x0a, 0x45, 0x5f, 0xf2, 0x71, 0xbf, 0x7b, 0xa8, 0x53, 0x24,
		0xab, 0x27, 0x45, 0x92, 0xc0, 0x54, 0xc7, 0x31, 0xb0, 0x38, 0x0d, 0xdb, 0xd3, 0x82, 0x9a, 0xf6,
		0x56, 0x66, 0xc1, 0x37, 0x6d, 0x53, 0xa6, 0xe8, 0xa9, 0x2f, 0x1e, 0xa7, 0x0d, 0xbf, 0x1b, 0x0b,
		0x7d, 0xea, 0x5e, 0x8f, 0x66, 0xde, 0xeb, 0xb1, 0xe2, 0xf7, 0xfa, 0xdc, 0x5b, 0xdc, 0xeb, 0xff,
		0xbe, 0xdd, 0xbd, 0xfe, 0x7d, 0x00, 0x96, 0x0b, 0x7f, 0xf8, 0xbf, 0x6f, 0xab, 0x35, 0x0b, 0x23,
		0xfa, 0xff, 0x1d, 0xca, 0xfd, 0x44, 0x9f, 0xb6, 0x10, 0x0d, 0x29, 0xf7, 0x93, 0x5c, 0xd7, 0xa1,
		0xfc, 0xd7, 0xb5, 0xe3, 0x68, 0x0e, 0xe7, 0xf2, 0x6f, 0xa5, 0x5e, 0xfe, 0xed, 0x4b, 0x03, 0x96,
		0x8a, 0xfe, 0xff, 0x21, 0xbd, 0x98, 0xc6, 0x5b, 0x15, 0x73, 0xed, 0x15, 0x5c, 0x22, 0x5e, 0x33,
		0x2d, 0x7b, 0xad, 0xb2, 0xea, 0xb3, 0x6d, 0xd9, 0x0f, 0xb6, 0x8d, 0x4f, 0x1a, 0xfb, 0x4c, 0x1c,
		0x84, 0xbb, 0x75, 0xe2, 0x35, 0x1b, 0x27, 0x7e, 0x72, 0xa9, 0xef, 0x53, 0x37, 0xfa, 0x8d, 0x47,
		0xff, 0xfa, 0xf2, 0x00, 0xfb, 0xec, 0x68, 0x79, 0xb7, 0xa4, 0xc6, 0x6e, 0xff, 0x13, 0x00, 0x00,
		0xff, 0xff, 0xbc, 0x58, 0xcc, 0x6b, 0x40, 0x1a, 0x00, 0x00,
	},
	// uber/cadence/api/v1/tasklist.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x7c, 0x54, 0xdd, 0x6e, 0xdb, 0x36,
		0x14, 0x9e, 0xe2, 0xb4, 0x73, 0x98, 0x25, 0xd5, 0xb8, 0xb5, 0x8d, 0xdd, 0x75, 0xcb, 0x74, 0x51,
		0x04, 0xc5, 0x20, 0x21, 0x19, 0x76, 0xb5, 0x8b, 0xc1, 0x89, 0x83, 0x55, 0x88, 0xe3, 0x1a, 0x92,
		0x1a, 0x20, 0xbb, 0xe1, 0x28, 0xf1, 0xd4, 0x21, 0xf4, 0x43, 0x81, 0xa4, 0x92, 0xf8, 0x45, 0xf6,
		0x30, 0x7b, 0xa2, 0x3d, 0xc6, 0x40, 0x4a, 0xf6, 0xdc, 0xc4, 0xeb, 0x1d, 0x79, 0xbe, 0xf3, 0x9d,
		0x9f, 0x8f, 0xe7, 0x10, 0x79, 0x4d, 0x0a, 0x32, 0xc8, 0x28, 0x83, 0x2a, 0x83, 0x80, 0xd6, 0x3c,
		0xb8, 0x3d, 0x0e, 0x34, 0x55, 0x79, 0xc1, 0x95, 0xf6, 0x6b, 0x29, 0xb4, 0xc0, 0xdf, 0x18, 0x1f,
		0xbf, 0xf3, 0xf1, 0x69, 0xcd, 0xfd, 0xdb, 0xe3, 0xe1, 0xf7, 0x73, 0x21, 0xe6, 0x05, 0x04, 0xd6,
		0x25, 0x6d, 0x3e, 0x06, 0xac, 0x91, 0x54, 0x73, 0x51, 0xb5, 0xa4, 0xe1, 0x0f, 0x0f, 0x71, 0xcd,
		0x4b, 0x50, 0x9a, 0x96, 0x75, 0xe7, 0xf0, 0x28, 0xc0, 0x9d, 0xa4, 0x75, 0x0d, 0x52, 0xb5, 0xb8,
		0xf7, 0x01, 0xf5, 0x13, 0xaa, 0xf2, 0x09, 0x57, 0x1a, 0x63, 0xb4, 0x5d, 0xd1, 0x12, 0x0e, 0x9c,
		0x43, 0xe7, 0x68, 0x27, 0xb2, 0x67, 0xfc, 0x0b, 0xda, 0xce, 0x79, 0xc5, 0x0e, 0xb6, 0x0e, 0x9d,
		0xa3, 0xfd, 0x93, 0x1f, 0xfd, 0x0d, 0x45, 0xfa, 0xcb, 0x00, 0x17, 0xbc, 0x62, 0x91, 0x75, 0xf7,
		0x28, 0x72, 0x97, 0xd6, 0x4b, 0xd0, 0x94, 0x51, 0x4d, 0xf1, 0x25, 0xfa, 0xb6, 0xa4, 0xf7, 0xc4,
		0xb4, 0xad, 0x48, 0x0d, 0x92, 0x28, 0xc8, 0x44, 0xc5, 0x6c, 0xba, 0xdd, 0x93, 0xef, 0xfc, 0xb6,
		0x52, 0x7f, 0x59, 0xa9, 0x3f, 0x16, 0x4d, 0x5a, 0xc0, 0x15, 0x2d, 0x1a, 0x88, 0xbe, 0x2e, 0xe9,
		0xbd, 0x09, 0xa8, 0x66, 0x20, 0x63, 0x4b, 0xf3, 0x3e, 0xa0, 0xc1, 0x32, 0xc5, 0x8c, 0x4a, 0xcd,
		0x8d, 0x2a, 0xab, 0x5c, 0x2e, 0xea, 0xe5, 0xb0, 0xe8, 0x3a, 0x31, 0x47, 0xfc, 0x06, 0x3d, 0x13,
		0x77, 0x15, 0x48, 0x72, 0x23, 0x94, 0x26, 0xb6, 0xcf, 0x2d, 0x8b, 0xee, 0x59, 0xf3, 0x3b, 0xa1,
		0xf4, 0x94, 0x96, 0xe0, 0xfd, 0xe3, 0xa0, 0xfd, 0x65, 0xdc, 0x58, 0x53, 0xdd, 0x28, 0xfc, 0x13,
		0xc2, 0x29, 0xcd, 0xf2, 0x42, 0xcc, 0x49, 0x26, 0x9a, 0x4a, 0x93, 0x1b, 0x5e, 0x69, 0x1b, 0xbb,
		0x17, 0xb9, 0x1d, 0x72, 0x66, 0x80, 0x77, 0xbc, 0xd2, 0xf8, 0x35, 0x42, 0x12, 0x28, 0x23, 0x05,
		0xdc, 0x42, 0x61, 0x73, 0xf4, 0xa2, 0x1d, 0x63, 0x99, 0x18, 0x03, 0x7e, 0x85, 0x76, 0x68, 0x96,
		0x77, 0x68, 0xcf, 0xa2, 0x7d, 0x9a, 0xe5, 0x2d, 0xf8, 0x06, 0x3d, 0x93, 0x54, 0xc3, 0xba, 0x3a,
		0xdb, 0x87, 0xce, 0x91, 0x13, 0xed, 0x19, 0xf3, 0xaa, 0x77, 0x3c, 0x46, 0x7b, 0x46, 0x46, 0xc2,
		0x19, 0x49, 0x0b, 0x91, 0xe5, 0x07, 0x4f, 0xac, 0x86, 0x87, 0xff, 0xfb, 0x3c, 0xe1, 0xf8, 0xd4,
		0xf8, 0x45, 0xbb, 0x86, 0x16, 0x32, 0x7b, 0xf1, 0x7e, 0x43, 0xbb, 0x6b, 0x18, 0x1e, 0xa0, 0xbe,
		0xd2, 0x54, 0x6a, 0xc2, 0x59, 0xd7, 0xdc, 0x97, 0xf6, 0x1e, 0x32, 0xfc, 0x1c, 0x3d, 0x85, 0x8a,
		0x19, 0xa0, 0xed, 0xe7, 0x09, 0x54, 0x2c, 0x64, 0xde, 0x5f, 0x0e, 0x42, 0x33, 0x51, 0x14, 0x20,
		0xc3, 0xea, 0xa3, 0xc0, 0x63, 0xe4, 0x16, 0x54, 0x69, 0x42, 0xb3, 0x0c, 0x94, 0x22, 0x66, 0x14,
		0xbb, 0xc7, 0x1d, 0x3e, 0x7a, 0xdc, 0x64, 0x39, 0xa7, 0xd1, 0xbe, 0xe1, 0x8c, 0x2c, 0xc5, 0x18,
		0xf1, 0x10, 0xf5, 0x39, 0x83, 0x4a, 0x73, 0xbd, 0xe8, 0x5e, 0x68, 0x75, 0xdf, 0xa4, 0x4f, 0x6f,
		0x83, 0x3e, 0xde, 0xdf, 0x0e, 0x1a, 0xc4, 0x9a, 0x67, 0xf9, 0xe2, 0xfc, 0x1e, 0xb2, 0xc6, 0x8c,
		0xc6, 0x48, 0x6b, 0xc9, 0xd3, 0x46, 0x83, 0xc2, 0xbf, 0x23, 0xf7, 0x4e, 0xc8, 0x1c, 0xa4, 0x9d,
		0x45, 0x62, 0x76, 0xb0, 0xab, 0xf3, 0xf5, 0x67, 0xe7, 0x3b, 0xda, 0x6f, 0x69, 0xab, 0x85, 0x49,
		0xd0, 0x40, 0x65, 0x37, 0xc0, 0x9a, 0x02, 0x88, 0x16, 0xa4, 0x55, 0xcf, 0xb4, 0x2d, 0x1a, 0x6d,
		0x6b, 0xdf, 0x3d, 0x19, 0x3c, 0x1e, 0xeb, 0x6e, 0x83, 0xa3, 0x17, 0x4b, 0x6e, 0x22, 0x62, 0xc3,
		0x4c, 0x5a, 0xe2, 0xdb, 0x3f, 0xd1, 0x57, 0xeb, 0x1b, 0x85, 0x87, 0xe8, 0x45, 0x32, 0x8a, 0x2f,
		0xc8, 0x24, 0x8c, 0x13, 0x72, 0x11, 0x4e, 0xc7, 0x24, 0x9c, 0x5e, 0x8d, 0x26, 0xe1, 0xd8, 0xfd,
		0x02, 0x0f, 0xd0, 0xf3, 0x07, 0xd8, 0xf4, 0x7d, 0x74, 0x39, 0x9a, 0xb8, 0xce, 0x06, 0x28, 0x4e,
		0xc2, 0xb3, 0x8b, 0x6b, 0x77, 0xeb, 0x2d, 0xfb, 0x2f, 0x43, 0xb2, 0xa8, 0xe1, 0xd3, 0x0c, 0xc9,
		0xf5, 0xec, 0x7c, 0x2d, 0xc3, 0x2b, 0xf4, 0xf2, 0x01, 0x36, 0x3e, 0x3f, 0x0b, 0xe3, 0xf0, 0xfd,
		0xd4, 0x75, 0x36, 0x80, 0xa3, 0xb3, 0x24, 0xbc, 0x0a, 0x93, 0x6b, 0x77, 0xeb, 0xf4, 0x0a, 0xbd,
		0xcc, 0x44, 0xb9, 0x49, 0xd1, 0xd3, 0xfe, 0xa8, 0xe6, 0x33, 0x23, 0xc8, 0xcc, 0xf9, 0x23, 0x98,
		0x73, 0x7d, 0xd3, 0xa4, 0x7e, 0x26, 0xca, 0xe0, 0x93, 0x6f, 0xd2, 0x9f, 0x43, 0xd5, 0xfe, 0x5b,
		0xdd, 0x8f, 0xf9, 0x2b, 0xad, 0xf9, 0xed, 0x71, 0xfa, 0xd4, 0xda, 0x7e, 0xfe, 0x37, 0x00, 0x00,
		0xff, 0xff, 0x58, 0x62, 0x2b, 0xbf, 0x55, 0x05, 0x00, 0x00,
	},
	// uber/cadence/api/v1/workflow.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xc4, 0x59, 0x4f, 0x6f, 0xdb, 0xca,
		0xf5, 0xfd, 0x49, 0xb2, 0x1d, 0xfb, 0xca, 0xb1, 0xe9, 0x71, 0x9c, 0x28, 0xff, 0x1d, 0xbd, 0x5f,
		0x12, 0x47, 0x7d, 0x91, 0x9f, 0x93, 0x97, 0x97, 0xe6, 0xa5, 0x69, 0x4a, 0x93, 0x74, 0xcc, 0x44,
		0xa6, 0xd4, 0x21, 0x15, 0xc7, 0x0f, 0x45, 0x09, 0x5a, 0x1a, 0xdb, 0x44, 0x24, 0x52, 0x10, 0x47,
		0x49, 0xbc, 0x2f, 0xd0, 0x75, 0x77, 0x45, 0xbb, 0xe9, 0xae, 0x9b, 0x02, 0x45, 0x3f, 0x40, 0x51,
		0xa0, 0x8b, 0xee, 0xba, 0xed, 0xb2, 0xfb, 0x7e, 0x8b, 0x62, 0x86, 0x43, 0x89, 0x92, 0x28, 0x51,
		0x69, 0x81, 0xd7, 0x9d, 0x79, 0x79, 0xce, 0xe1, 0x9d, 0x3b, 0xf7, 0x1e, 0x0e, 0x2d, 0x28, 0xf6,
		0x8e, 0x49, 0x77, 0xbb, 0xe1, 0x34, 0x89, 0xd7, 0x20, 0xdb, 0x4e, 0xc7, 0xdd, 0xfe, 0xb0, 0xb3,
		0xfd, 0xd1, 0xef, 0xbe, 0x3f, 0x69, 0xf9, 0x1f, 0xcb, 0x9d, 0xae, 0x4f, 0x7d, 0xb4, 0xce, 0x30,
		0x65, 0x81, 0x29, 0x3b, 0x1d, 0xb7, 0xfc, 0x61, 0xe7, 0xda, 0xad, 0x53, 0xdf, 0x3f, 0x6d, 0x91,
		0x6d, 0x0e, 0x39, 0xee, 0x9d, 0x6c, 0x37, 0x7b, 0x5d, 0x87, 0xba, 0xbe, 0x17, 0x92, 0xae, 0xdd,
		0x1e, 0xbd, 0x4f, 0xdd, 0x36, 0x09, 0xa8, 0xd3, 0xee, 0x08, 0xc0, 0x66, 0xd2, 0x93, 0x1b, 0x7e,
		0xbb, 0xdd, 0x97, 0x48, 0xcc, 0x8d, 0x3a, 0xc1, 0xfb, 0x96, 0x1b, 0xd0, 0x10, 0x53, 0xfc, 0xfd,
		0x02, 0x6c, 0x1c, 0x8a, 0x74, 0xb5, 0x4f, 0xa4, 0xd1, 0x63, 0x29, 0xe8, 0xde, 0x89, 0x8f, 0xea,
		0x80, 0xa2, 0x75, 0xd8, 0x24, 0xba, 0x53, 0xc8, 0x6c, 0x66, 0xb6, 0xf2, 0x8f, 0xee, 0x95, 0x13,
		0x96, 0x54, 0x1e, 0xd3, 0xc1, 0x6b, 0x1f, 0x47, 0x43, 0xe8, 0x09, 0xcc, 0xd1, 0xf3, 0x0e, 0x29,
		0x64, 0xb9, 0xd0, 0x9d, 0xa9, 0x42, 0xd6, 0x79, 0x87, 0x60, 0x0e, 0x47, 0xcf, 0x00, 0x02, 0xea,
		0x74, 0xa9, 0xcd, 0xca, 0x50, 0xc8, 0x71, 0xf2, 0xb5, 0x72, 0x58, 0xa3, 0x72, 0x54, 0xa3, 0xb2,
		0x15, 0xd5, 0x08, 0x2f, 0x71, 0x34, 0xbb, 0x66, 0xd4, 0x46, 0xcb, 0x0f, 0x48, 0x48, 0x9d, 0x4b,
		0xa7, 0x72, 0x34, 0xa7, 0x5a, 0xb0, 0x1c, 0x52, 0x03, 0xea, 0xd0, 0x5e, 0x50, 0x98, 0xdf, 0xcc,
		0x6c, 0xad, 0x3c, 0xda, 0x99, 0x6d, 0xf5, 0x0a, 0x63, 0x9a, 0x9c, 0x88, 0xf3, 0x8d, 0xc1, 0x05,
		0xba, 0x0b, 0x2b, 0x67, 0x6e, 0x40, 0xfd, 0xee, 0xb9, 0xdd, 0x22, 0xde, 0x29, 0x3d, 0x2b, 0x2c,
		0x6c, 0x66, 0xb6, 0x72, 0xf8, 0xa2, 0x88, 0x56, 0x78, 0x10, 0xfd, 0x0c, 0x36, 0x3a, 0x4e, 0x97,
		0x78, 0x74, 0x50, 0x7e, 0xdb, 0xf5, 0x4e, 0xfc, 0xc2, 0x05, 0xbe, 0x84, 0xad, 0xc4, 0x2c, 0x6a,
		0x9c, 0x31, 0xb4, 0x93, 0x78, 0xbd, 0x33, 0x1e, 0x44, 0x32, 0xac, 0x0c, 0x64, 0x79, 0x65, 0x16,
		0x53, 0x2b, 0x73, 0xb1, 0xcf, 0xe0, 0xd5, 0x79, 0x08, 0x73, 0x6d, 0xd2, 0xf6, 0x0b, 0x4b, 0x9c,
		0x78, 0x35, 0x31, 0x9f, 0x03, 0xd2, 0xf6, 0x31, 0x87, 0x21, 0x0c, 0x6b, 0x01, 0x71, 0xba, 0x8d,
		0x33, 0xdb, 0xa1, 0xb4, 0xeb, 0x1e, 0xf7, 0x28, 0x09, 0x0a, 0xc0, 0xb9, 0x77, 0x13, 0xb9, 0x26,
		0x47, 0xcb, 0x7d, 0x30, 0x96, 0x82, 0x91, 0x08, 0xaa, 0xc0, 0x9a, 0xd3, 0xa3, 0xbe, 0xdd, 0x25,
		0x01, 0xa1, 0x76, 0xc7, 0x77, 0x3d, 0x1a, 0x14, 0xf2, 0x5c, 0x73, 0x33, 0x51, 0x13, 0x33, 0x60,
		0x8d, 0xe3, 0xf0, 0x2a, 0xa3, 0xc6, 0x02, 0xe8, 0x3a, 0x2c, 0xb1, 0xf1, 0xb0, 0xd9, 0x7c, 0x14,
		0x96, 0x37, 0x33, 0x5b, 0x4b, 0x78, 0x91, 0x05, 0x2a, 0x6e, 0x40, 0x8b, 0xbf, 0xce, 0xc2, 0xad,
		0xf1, 0x3d, 0xf6, 0xbd, 0x13, 0xf7, 0x54, 0x4c, 0x2e, 0xfa, 0x36, 0xce, 0x0f, 0x27, 0xe5, 0x66,
		0x62, 0x16, 0x96, 0x10, 0x1d, 0xc8, 0x23, 0x07, 0x36, 0x07, 0xfb, 0x21, 0x5a, 0xdd, 0xb7, 0x07,
		0x8d, 0xeb, 0xf7, 0xa8, 0x98, 0x99, 0xab, 0x63, 0x3b, 0xa4, 0x8a, 0x04, 0xf0, 0x8d, 0xbe, 0x84,
		0xc9, 0xdb, 0xdf, 0x57, 0xa2, 0x56, 0xf6, 0x7b, 0x14, 0x1d, 0xc2, 0x75, 0x9e, 0xde, 0x04, 0xf5,
		0x5c, 0x9a, 0xfa, 0x15, 0xc6, 0x4e, 0x10, 0x2e, 0xfe, 0x3d, 0x03, 0xeb, 0x09, 0x8d, 0xc7, 0xea,
		0xd9, 0xf4, 0xdb, 0x8e, 0xeb, 0xd9, 0x6e, 0x93, 0xd7, 0x63, 0x09, 0x2f, 0x86, 0x01, 0xbd, 0x89,
		0x6e, 0x43, 0x5e, 0xdc, 0xf4, 0x9c, 0x76, 0xe8, 0x07, 0x4b, 0x18, 0xc2, 0x90, 0xe1, 0xb4, 0xc9,
		0x04, 0x03, 0xca, 0xfd, 0xb7, 0x06, 0x74, 0x07, 0x96, 0x5d, 0xcf, 0xa5, 0xae, 0x43, 0x49, 0x93,
		0xe5, 0x35, 0xc7, 0x67, 0x2f, 0xdf, 0x8f, 0xe9, 0xcd, 0xe2, 0xaf, 0x32, 0xb0, 0xa1, 0x7d, 0xa2,
		0xa4, 0xeb, 0x39, 0xad, 0xef, 0xc5, 0x14, 0x47, 0x73, 0xca, 0x8e, 0xe7, 0xf4, 0xcf, 0x79, 0x58,
		0xaf, 0x11, 0xaf, 0xe9, 0x7a, 0xa7, 0x72, 0x83, 0xba, 0x1f, 0x5c, 0x7a, 0xce, 0x33, 0xba, 0x0d,
		0x79, 0x47, 0x5c, 0x0f, 0xaa, 0x0c, 0x51, 0x48, 0x6f, 0xa2, 0x3d, 0xb8, 0xd8, 0x07, 0xa4, 0x3a,
		0x6f, 0x24, 0xcd, 0x9d, 0x77, 0xd9, 0x89, 0x5d, 0xa1, 0x97, 0x30, 0xcf, 0x5c, 0x30, 0x34, 0xdf,
		0x95, 0x47, 0x0f, 0x92, 0xed, 0x67, 0x38, 0x43, 0x66, 0x78, 0x04, 0x87, 0x3c, 0xa4, 0xc3, 0xda,
		0x19, 0x71, 0xba, 0xf4, 0x98, 0x38, 0xd4, 0x6e, 0x12, 0xea, 0xb8, 0xad, 0x40, 0xd8, 0xf1, 0x8d,
		0x09, 0x5e, 0x76, 0xde, 0xf2, 0x9d, 0x26, 0x96, 0xfa, 0x34, 0x35, 0x64, 0xa1, 0xd7, 0xb0, 0xde,
		0x72, 0x02, 0x6a, 0x0f, 0xf4, 0xb8, 0x83, 0xcd, 0xa7, 0x3a, 0xd8, 0x1a, 0xa3, 0xed, 0x47, 0x2c,
		0xee, 0x62, 0x7b, 0xc0, 0x83, 0xe1, 0x54, 0x90, 0x66, 0xa8, 0xb4, 0x90, 0xaa, 0xb4, 0xca, 0x48,
		0x66, 0xc8, 0xe1, 0x3a, 0x05, 0xb8, 0xe0, 0x50, 0x4a, 0xda, 0x1d, 0xca, 0x0d, 0x7a, 0x1e, 0x47,
		0x97, 0xe8, 0x01, 0x48, 0x6d, 0xe7, 0x93, 0xdb, 0xee, 0xb5, 0x6d, 0x11, 0x0a, 0xb8, 0xd9, 0xce,
		0xe3, 0x55, 0x11, 0x97, 0x45, 0x98, 0xb9, 0x72, 0xd0, 0x38, 0x23, 0xcd, 0x5e, 0x2b, 0xca, 0x64,
		0x29, 0xdd, 0x95, 0xfb, 0x0c, 0x9e, 0x87, 0x02, 0xab, 0xe4, 0x53, 0xc7, 0x0d, 0x67, 0x36, 0xd4,
		0x80, 0x54, 0x8d, 0x95, 0x01, 0x85, 0x8b, 0xbc, 0x84, 0x65, 0x5e, 0x94, 0x13, 0xc7, 0x6d, 0xf5,
		0xba, 0x44, 0x58, 0x6a, 0xf2, 0x36, 0xed, 0x85, 0x18, 0x9c, 0x67, 0x0c, 0x71, 0x81, 0xbe, 0x82,
		0x4b, 0x5c, 0x80, 0xf5, 0x3a, 0xe9, 0xda, 0x6e, 0x93, 0x78, 0xd4, 0xa5, 0xe7, 0xc2, 0x55, 0x11,
		0xbb, 0x77, 0xc8, 0x6f, 0xe9, 0xe2, 0x4e, 0xf1, 0xb7, 0x59, 0xb8, 0x2a, 0xda, 0x47, 0x39, 0x73,
		0x5b, 0xcd, 0xef, 0x65, 0xf0, 0xbe, 0x8c, 0xc9, 0xb2, 0xe1, 0x88, 0x7b, 0x91, 0xf4, 0x31, 0x76,
		0x0c, 0xe1, 0x8e, 0x34, 0x3a, 0xa6, 0xb9, 0xb1, 0x31, 0x45, 0x6f, 0x41, 0xbc, 0x6d, 0x85, 0xb9,
		0x76, 0xfc, 0x96, 0xdb, 0x38, 0xe7, 0x6d, 0xbe, 0x32, 0x21, 0xd1, 0xd0, 0x39, 0xb9, 0xa1, 0xd6,
		0x38, 0x1a, 0xaf, 0x75, 0x46, 0x43, 0xc5, 0xbf, 0x65, 0xfb, 0xe3, 0xaf, 0x92, 0x86, 0x1b, 0x44,
		0x75, 0xe9, 0x4f, 0x65, 0x26, 0x7d, 0x2a, 0x23, 0xe2, 0xd0, 0x54, 0x8e, 0x77, 0x5c, 0xf6, 0x73,
		0x3b, 0xee, 0x05, 0x2c, 0x0f, 0x0d, 0x4f, 0xfa, 0xe9, 0x2c, 0x1f, 0x24, 0x0f, 0xce, 0xdc, 0xf0,
		0xe0, 0x60, 0xb8, 0xe2, 0x77, 0xdd, 0x53, 0xd7, 0x73, 0x5a, 0xf6, 0x48, 0x92, 0xe9, 0xa3, 0xbe,
		0x11, 0x51, 0xcd, 0x78, 0xb2, 0xc5, 0x3f, 0x67, 0xe1, 0x6a, 0x64, 0x4f, 0x15, 0xbf, 0xe1, 0xb4,
		0x54, 0x37, 0xe8, 0x38, 0xb4, 0x71, 0x36, 0x9b, 0x9b, 0xfe, 0xef, 0xcb, 0xf5, 0x73, 0xb8, 0x35,
		0x9c, 0x81, 0xed, 0x9f, 0xd8, 0xf4, 0xcc, 0x0d, 0xec, 0x78, 0x15, 0xa7, 0x0b, 0x5e, 0x1b, 0xca,
		0xa8, 0x7a, 0x62, 0x9d, 0xb9, 0x81, 0xf0, 0x20, 0x74, 0x13, 0x80, 0x9f, 0x12, 0xa8, 0xff, 0x9e,
		0x78, 0xbc, 0xce, 0xcb, 0x98, 0x1f, 0x6b, 0x2c, 0x16, 0x28, 0xbe, 0x86, 0x7c, 0xfc, 0xc8, 0xf4,
		0x1c, 0x16, 0xc4, 0xa9, 0x2b, 0xb3, 0x99, 0xdb, 0xca, 0x3f, 0xfa, 0x22, 0xe5, 0xd4, 0xc5, 0x0f,
		0xa4, 0x82, 0x52, 0xfc, 0x63, 0x16, 0x56, 0x86, 0x6f, 0xa1, 0xfb, 0xb0, 0x7a, 0xec, 0x7a, 0x4e,
		0xf7, 0xdc, 0x6e, 0x9c, 0x91, 0xc6, 0xfb, 0xa0, 0xd7, 0x16, 0x9b, 0xb0, 0x12, 0x86, 0x15, 0x11,
		0x45, 0x1b, 0xb0, 0xd0, 0xed, 0x79, 0xd1, 0xcb, 0x72, 0x09, 0xcf, 0x77, 0x7b, 0xec, 0x54, 0xf1,
		0x02, 0xae, 0x9f, 0xb8, 0xdd, 0x80, 0xbd, 0x60, 0xc2, 0x66, 0xb7, 0x1b, 0x7e, 0xbb, 0xd3, 0x22,
		0x43, 0x13, 0x5b, 0xe0, 0x90, 0x68, 0x1c, 0x94, 0x08, 0xc0, 0xe9, 0xcb, 0x8d, 0x2e, 0x71, 0xfa,
		0x7b, 0x93, 0x5e, 0xca, 0xbc, 0xc0, 0x0b, 0xdb, 0xbc, 0xc8, 0x8d, 0xd4, 0xf5, 0x4e, 0x67, 0x6d,
		0xd3, 0xe5, 0x88, 0xc0, 0x05, 0x6e, 0x01, 0xf0, 0xa3, 0x2c, 0x75, 0x8e, 0x5b, 0xe1, 0x5b, 0x68,
		0x11, 0xc7, 0x22, 0xa5, 0x3f, 0x65, 0xe0, 0x52, 0xd2, 0x3b, 0x16, 0x15, 0xe1, 0x56, 0x4d, 0x33,
		0x54, 0xdd, 0x78, 0x65, 0xcb, 0x8a, 0xa5, 0xbf, 0xd5, 0xad, 0x23, 0xdb, 0xb4, 0x64, 0x4b, 0xb3,
		0x75, 0xe3, 0xad, 0x5c, 0xd1, 0x55, 0xe9, 0xff, 0xd0, 0xff, 0xc3, 0xe6, 0x04, 0x8c, 0xa9, 0xec,
		0x6b, 0x6a, 0xbd, 0xa2, 0xa9, 0x52, 0x66, 0x8a, 0x92, 0x69, 0xc9, 0xd8, 0xd2, 0x54, 0x29, 0x8b,
		0x7e, 0x00, 0xf7, 0x27, 0x60, 0x14, 0xd9, 0x50, 0xb4, 0x8a, 0x8d, 0xb5, 0x9f, 0xd6, 0x35, 0x93,
		0x81, 0x73, 0xa5, 0x5f, 0x0c, 0x72, 0x1e, 0x72, 0xa0, 0xf8, 0x93, 0x54, 0x4d, 0xd1, 0x4d, 0xbd,
		0x6a, 0x4c, 0xcb, 0x79, 0x04, 0x33, 0x21, 0xe7, 0x51, 0x54, 0x94, 0x73, 0xe9, 0x97, 0xd9, 0xc1,
		0x97, 0xae, 0xde, 0xc4, 0xa4, 0x17, 0x79, 0x2b, 0x7b, 0xc6, 0x61, 0x15, 0xbf, 0xd9, 0xab, 0x54,
		0x0f, 0x6d, 0x5d, 0xb5, 0xb1, 0x56, 0x37, 0x35, 0xbb, 0x56, 0xad, 0xe8, 0xca, 0x51, 0x2c, 0x93,
		0x1f, 0xc2, 0xd7, 0x13, 0x51, 0x72, 0x85, 0x45, 0xd5, 0x7a, 0xad, 0xa2, 0x2b, 0xec, 0xa9, 0x7b,
		0xb2, 0x5e, 0xd1, 0x54, 0xbb, 0x6a, 0x54, 0x8e, 0xa4, 0x0c, 0xfa, 0x12, 0xb6, 0x66, 0x65, 0x4a,
		0x59, 0xf4, 0x10, 0x1e, 0x4c, 0x44, 0x63, 0xed, 0xb5, 0xa6, 0x58, 0x31, 0x78, 0x0e, 0xed, 0xc0,
		0xc3, 0x89, 0x70, 0x4b, 0xc3, 0x07, 0xba, 0xc1, 0x0b, 0xba, 0x67, 0xe3, 0xba, 0x61, 0xe8, 0xc6,
		0x2b, 0x69, 0xae, 0xf4, 0xbb, 0x0c, 0xac, 0x8d, 0xbd, 0x74, 0xd0, 0x6d, 0xb8, 0x5e, 0x93, 0xb1,
		0x66, 0x58, 0xb6, 0x52, 0xa9, 0x26, 0x15, 0x60, 0x02, 0x40, 0xde, 0x95, 0x0d, 0xb5, 0x6a, 0x48,
		0x19, 0x74, 0x0f, 0x8a, 0x49, 0x00, 0xd1, 0x0b, 0xa2, 0x35, 0xa4, 0x2c, 0xba, 0x03, 0x37, 0x93,
		0x70, 0xfd, 0x6c, 0xa5, 0x5c, 0xe9, 0x5f, 0x59, 0xb8, 0x31, 0xed, 0x83, 0x9a, 0x75, 0x60, 0x7f,
		0xd9, 0xda, 0x3b, 0x4d, 0xa9, 0x5b, 0x6c, 0xcf, 0x43, 0x3d, 0xb6, 0xf3, 0x75, 0x33, 0x96, 0x79,
		0xbc, 0xa4, 0x13, 0xc0, 0x4a, 0xf5, 0xa0, 0x56, 0xd1, 0x2c, 0xde, 0x4d, 0x25, 0xb8, 0x97, 0x06,
		0x0f, 0x37, 0x58, 0xca, 0x0e, 0xed, 0xed, 0x24, 0x69, 0xbe, 0x6e, 0x36, 0x0a, 0xa8, 0x0c, 0xa5,
		0x34, 0x74, 0xbf, 0x0a, 0xaa, 0x34, 0x87, 0xbe, 0x86, 0xaf, 0xd2, 0x13, 0x37, 0x2c, 0xdd, 0xa8,
		0x6b, 0xaa, 0x2d, 0x9b, 0xb6, 0xa1, 0x1d, 0x4a, 0xf3, 0xb3, 0x2c, 0xd7, 0xd2, 0x0f, 0x58, 0x7f,
		0xd6, 0x2d, 0x69, 0xa1, 0xf4, 0x97, 0x0c, 0x5c, 0x56, 0x7c, 0x8f, 0xba, 0x5e, 0x8f, 0xc8, 0x81,
		0x41, 0x3e, 0xea, 0xe1, 0x79, 0xc6, 0xef, 0xa2, 0xbb, 0x70, 0x27, 0xd2, 0x17, 0xf2, 0xb6, 0x6e,
		0xe8, 0x96, 0x2e, 0x5b, 0x55, 0x1c, 0xab, 0xef, 0x54, 0x18, 0x1b, 0x48, 0x55, 0xc3, 0x61, 0x5d,
		0x27, 0xc3, 0xb0, 0x66, 0xe1, 0x23, 0xd1, 0x0a, 0xa1, 0xc3, 0x4c, 0xc6, 0x2a, 0x98, 0xcd, 0xb7,
		0x98, 0x7f, 0x29, 0x57, 0xfa, 0x43, 0x06, 0xf2, 0xe2, 0x5b, 0x94, 0x7f, 0xaa, 0x14, 0xe0, 0x12,
		0x5b, 0x60, 0xb5, 0x6e, 0xd9, 0xd6, 0x51, 0x4d, 0x1b, 0xee, 0xe1, 0xa1, 0x3b, 0xdc, 0x1e, 0x6c,
		0xab, 0x1a, 0x56, 0x27, 0x74, 0x92, 0x61, 0x80, 0x78, 0x0a, 0xc3, 0x70, 0xb0, 0x94, 0x9d, 0x8a,
		0x09, 0x75, 0x72, 0xe8, 0x1a, 0x5c, 0x1e, 0xc2, 0xec, 0x6b, 0x32, 0xb6, 0x76, 0x35, 0xd9, 0x92,
		0xe6, 0x4a, 0xbf, 0xc9, 0xc0, 0xd5, 0xc8, 0x09, 0x2d, 0xf6, 0x62, 0x75, 0xdb, 0xa4, 0x59, 0xed,
		0x51, 0xc5, 0xe9, 0x05, 0x04, 0x3d, 0x80, 0xbb, 0x7d, 0x0f, 0xb3, 0x64, 0xf3, 0xcd, 0x60, 0xaf,
		0x6c, 0x45, 0x66, 0xc3, 0x3d, 0x58, 0x4d, 0x2a, 0x54, 0xa4, 0x20, 0x65, 0xd0, 0x7d, 0xf8, 0x62,
		0x3a, 0x14, 0x6b, 0xa6, 0x66, 0x49, 0xd9, 0xd2, 0x3f, 0xf2, 0x70, 0x25, 0x9e, 0x1c, 0x3b, 0xd0,
		0x93, 0x66, 0x98, 0xda, 0x3d, 0x28, 0x0e, 0x8b, 0x08, 0x9f, 0x1b, 0xcd, 0x6b, 0x07, 0x1e, 0x4e,
		0xc1, 0xd5, 0x8d, 0x7d, 0xd9, 0x50, 0xd9, 0x75, 0x04, 0x92, 0x32, 0xe8, 0x25, 0x3c, 0x9f, 0x42,
		0xd9, 0x95, 0xd5, 0x41, 0x95, 0xfb, 0x6f, 0x1c, 0xd9, 0xb2, 0xb0, 0xbe, 0x5b, 0xb7, 0x34, 0x53,
		0xca, 0x22, 0x0d, 0xe4, 0x14, 0x81, 0x61, 0x1f, 0x4a, 0x94, 0xc9, 0xa1, 0x67, 0xf0, 0x24, 0x2d,
		0x8f, 0xb0, 0x65, 0xf4, 0x03, 0x0d, 0xc7, 0xa9, 0x73, 0xe8, 0x5b, 0xf8, 0x26, 0x85, 0x2a, 0x9e,
		0x3c, 0xc6, 0x9d, 0x47, 0xcf, 0xe1, 0x69, 0x6a, 0xf6, 0x4a, 0x15, 0xab, 0xf6, 0x81, 0x8c, 0xdf,
		0x0c, 0x93, 0x17, 0x90, 0x0e, 0x5a, 0xda, 0x83, 0x85, 0xbb, 0xd9, 0x09, 0xbe, 0x10, 0x93, 0xba,
		0x30, 0x43, 0x15, 0x59, 0x20, 0x45, 0x66, 0x11, 0xbd, 0x02, 0x65, 0xb6, 0x52, 0x4c, 0x17, 0x5a,
		0x42, 0xef, 0xc0, 0xfa, 0xbc, 0x5d, 0xd5, 0xde, 0x59, 0x1a, 0x36, 0xe4, 0x34, 0x65, 0x40, 0x2f,
		0xe0, 0x59, 0x6a, 0xd1, 0x86, 0xfd, 0x27, 0x46, 0xcf, 0xa3, 0xa7, 0xf0, 0x78, 0x0a, 0x3d, 0xde,
		0x23, 0x83, 0x53, 0x81, 0xae, 0x4a, 0xcb, 0xe8, 0x09, 0xec, 0x4c, 0x21, 0xf2, 0x29, 0xb4, 0x4d,
		0x4b, 0x57, 0xde, 0x1c, 0x85, 0xb7, 0x2b, 0xba, 0x69, 0x49, 0x17, 0xd1, 0x4f, 0xe0, 0x47, 0x53,
		0x68, 0xfd, 0xc5, 0xb2, 0x3f, 0x34, 0x1c, 0x1b, 0x31, 0x06, 0xab, 0x63, 0x4d, 0x5a, 0x99, 0x61,
		0x4f, 0x4c, 0xfd, 0x55, 0x7a, 0xe5, 0x56, 0x91, 0x02, 0x2f, 0x67, 0x1a, 0x11, 0x65, 0x5f, 0xaf,
		0xa8, 0xc9, 0x22, 0x12, 0x7a, 0x0c, 0xdb, 0x53, 0x44, 0xf6, 0xaa, 0x58, 0xd1, 0xc4, 0x1b, 0xab,
		0x6f, 0x12, 0x6b, 0xe8, 0x1b, 0x78, 0x34, 0x8d, 0x24, 0xeb, 0x95, 0xea, 0x5b, 0x0d, 0x8f, 0xf2,
		0x10, 0x7b, 0x8d, 0xce, 0xb6, 0x74, 0xdd, 0xa8, 0xd5, 0x2d, 0xdb, 0xd4, 0xbf, 0xd3, 0xa4, 0x75,
		0xf6, 0x1a, 0x4d, 0xdd, 0xa9, 0xa8, 0x56, 0xd2, 0xa5, 0x71, 0x33, 0x1e, 0x7b, 0xc8, 0xae, 0x6e,
		0xc8, 0xf8, 0x48, 0xda, 0x48, 0xe9, 0xbd, 0x71, 0xa3, 0x1b, 0x6a, 0xa1, 0xcb, 0xb3, 0x2c, 0x47,
		0x93, 0xb1, 0xb2, 0x1f, 0xaf, 0xf8, 0x15, 0xf6, 0xd6, 0xb9, 0xc3, 0xff, 0xb1, 0x32, 0x76, 0xae,
		0x8a, 0x5b, 0xfc, 0x0e, 0x3c, 0x0c, 0xf7, 0x2d, 0xa1, 0x0b, 0x26, 0xb8, 0xfd, 0x2e, 0xfc, 0x78,
		0x36, 0x4a, 0xff, 0xbe, 0x5c, 0xc1, 0x9a, 0xac, 0x1e, 0xf5, 0x8f, 0xa4, 0x99, 0xd2, 0x5f, 0x33,
		0x50, 0x52, 0x1c, 0xaf, 0x41, 0x5a, 0xd1, 0xff, 0x5d, 0xa7, 0x66, 0xf9, 0x1c, 0x9e, 0xce, 0x30,
		0xef, 0x13, 0xf2, 0x3d, 0x04, 0xf3, 0x73, 0xc9, 0x75, 0xe3, 0x8d, 0x51, 0x3d, 0x34, 0xa6, 0x11,
		0xc4, 0x22, 0x4c, 0xf7, 0x94, 0xff, 0xd3, 0x78, 0xb6, 0x45, 0x88, 0xb6, 0xfb, 0xcf, 0x16, 0xf1,
		0xb9, 0xe4, 0x99, 0x16, 0xb1, 0xfb, 0x16, 0xae, 0x34, 0xfc, 0x76, 0xd2, 0x57, 0xfc, 0xee, 0xa2,
		0xdc, 0x71, 0x6b, 0xec, 0x0b, 0xb6, 0x96, 0xf9, 0x6e, 0xfb, 0xd4, 0xa5, 0x67, 0xbd, 0xe3, 0x72,
		0xc3, 0x6f, 0x6f, 0x0f, 0xfd, 0xcc, 0x58, 0x3e, 0x25, 0x5e, 0xf8, 0xa3, 0xa5, 0xf8, 0xc5, 0xf1,
		0xb9, 0xd3, 0x71, 0x3f, 0xec, 0x1c, 0x2f, 0xf0, 0xd8, 0xe3, 0x7f, 0x07, 0x00, 0x00, 0xff, 0xff,
		0x05, 0xd4, 0x20, 0x14, 0x31, 0x1d, 0x00, 0x00,
	},
	// uber/cadence/api/v1/history.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xec, 0x5c, 0x5f, 0x6c, 0x1c, 0x57,
		0xd5, 0xef, 0xec, 0xda, 0xbb, 0xde, 0xb3, 0x8e, 0x63, 0xdf, 0x24, 0x8e, 0x9d, 0xbf, 0xce, 0x24,
		0x4d, 0x5c, 0xc7, 0x59, 0x27, 0x4e, 0x9a, 0x7c, 0x69, 0xbe, 0xb6, 0x38, 0x8e, 0xad, 0xae, 0x64,
		0x92, 0x68, 0xe2, 0xa4, 0x80, 0x90, 0x96, 0xf1, 0xcc, 0x75, 0x3c, 0xf2, 0xee, 0xcc, 0x76, 0x66,
		0xd6, 0x1b, 0x23, 0xf1, 0xc4, 0x03, 0x12, 0x6a, 0x05, 0x55, 0x85, 0x44, 0x05, 0x08, 0x04, 0x02,
		0xb5, 0x08, 0xa9, 0x08, 0x84, 0x00, 0xf1, 0x02, 0x48, 0x08, 0x24, 0x50, 0xe1, 0x89, 0x17, 0x5e,
		0x78, 0xe0, 0x81, 0xbe, 0xf1, 0x40, 0x79, 0x43, 0x42, 0x73, 0xe7, 0xce, 0xee, 0xce, 0xcc, 0xbd,
		0x33, 0x77, 0xd6, 0x9b, 0x16, 0xd4, 0xbc, 0x79, 0xee, 0x9c, 0x7b, 0xe6, 0x77, 0xcf, 0x3d, 0xe7,
		0xdc, 0x73, 0xcf, 0x39, 0x6b, 0x38, 0xd5, 0xda, 0xc0, 0xf6, 0x82, 0xa6, 0xea, 0xd8, 0xd4, 0xf0,
		0x82, 0xda, 0x34, 0x16, 0x76, 0x2e, 0x2d, 0x6c, 0x19, 0x8e, 0x6b, 0xd9, 0xbb, 0x95, 0xa6, 0x6d,
		0xb9, 0x16, 0x3a, 0xe0, 0x91, 0x54, 0x28, 0x49, 0x45, 0x6d, 0x1a, 0x95, 0x9d, 0x4b, 0x47, 0x4e,
		0x3c, 0xb4, 0xac, 0x87, 0x75, 0xbc, 0x40, 0x48, 0x36, 0x5a, 0x9b, 0x0b, 0x7a, 0xcb, 0x56, 0x5d,
		0xc3, 0x32, 0xfd, 0x49, 0x47, 0x4e, 0x46, 0xdf, 0xbb, 0x46, 0x03, 0x3b, 0xae, 0xda, 0x68, 0x52,
		0x82, 0x19, 0xd6, 0x87, 0x35, 0xab, 0xd1, 0xe8, 0xb0, 0x90, 0x59, 0x14, 0xae, 0xea, 0x6c, 0xd7,
		0x0d, 0xc7, 0x4d, 0xa2, 0x69, 0x5b, 0xf6, 0xf6, 0x66, 0xdd, 0x6a, 0xfb, 0x34, 0xf2, 0x2d, 0x28,
		0xbe, 0xe4, 0x2f, 0x08, 0x5d, 0x87, 0x02, 0xde, 0xc1, 0xa6, 0xeb, 0x4c, 0x49, 0x33, 0xf9, 0xd9,
		0xf2, 0xe2, 0xa9, 0x0a, 0x63, 0x6d, 0x15, 0x4a, 0xbd, 0xe2, 0x51, 0x2a, 0x74, 0x82, 0xfc, 0xde,
		0x35, 0x18, 0xed, 0x7d, 0x81, 0xa6, 0x61, 0x84, 0xbc, 0xaa, 0x19, 0xfa, 0x94, 0x34, 0x23, 0xcd,
		0xe6, 0x95, 0x22, 0x79, 0xae, 0xea, 0xe8, 0x3a, 0x80, 0xff, 0xca, 0x5b, 0xf4, 0x54, 0x6e, 0x46,
		0x9a, 0x2d, 0x2f, 0x1e, 0xa9, 0xf8, 0x12, 0xa9, 0x04, 0x12, 0xa9, 0xac, 0x07, 0x12, 0x51, 0x4a,
		0x84, 0xda, 0x7b, 0x46, 0x53, 0x50, 0xdc, 0xc1, 0xb6, 0x63, 0x58, 0xe6, 0x54, 0xde, 0x67, 0x4a,
		0x1f, 0xd1, 0x61, 0x28, 0x7a, 0x8b, 0xf7, 0x3e, 0x37, 0x44, 0xde, 0x14, 0xbc, 0xc7, 0xaa, 0x8e,
		0xbe, 0x2e, 0xc1, 0xf9, 0x60, 0xc9, 0x35, 0xfc, 0x08, 0x6b, 0x2d, 0x6f, 0x1f, 0x6a, 0x8e, 0xab,
		0xda, 0x2e, 0xd6, 0x6b, 0x3e, 0x12, 0xd5, 0x75, 0x6d, 0x63, 0xa3, 0xe5, 0x62, 0x67, 0x6a, 0x98,
		0xe0, 0xf9, 0x7f, 0xe6, 0xd2, 0x5f, 0xa6, 0x7c, 0x56, 0x02, 0x36, 0xf7, 0x7c, 0x2e, 0x64, 0xc9,
		0x4b, 0x1d, 0x1e, 0x2f, 0x3d, 0xa5, 0x9c, 0x6b, 0x8b, 0x91, 0xa2, 0x6f, 0x4b, 0x70, 0x81, 0x01,
		0x4f, 0xb3, 0x1a, 0xcd, 0x3a, 0x66, 0x02, 0x2c, 0x10, 0x80, 0x2f, 0x88, 0x01, 0x5c, 0x0e, 0xf8,
		0xc4, 0x21, 0x3e, 0xd3, 0x16, 0x25, 0x46, 0x6f, 0x4a, 0x30, 0xc7, 0x00, 0xb9, 0xa9, 0x1a, 0x75,
		0x16, 0xc2, 0x22, 0x41, 0x78, 0x43, 0x0c, 0xe1, 0x2a, 0x61, 0x12, 0x87, 0x77, 0xb6, 0x2d, 0x44,
		0x89, 0xbe, 0xc5, 0x16, 0xa0, 0xa7, 0x5b, 0x7a, 0xcd, 0x6a, 0xb9, 0x71, 0x78, 0x23, 0x04, 0xde,
		0xf3, 0x62, 0xf0, 0x3c, 0xb5, 0xd3, 0xef, 0xb4, 0xdc, 0x38, 0xc0, 0xd9, 0xb6, 0x20, 0x2d, 0x7a,
		0x43, 0x82, 0x59, 0x1d, 0x6b, 0x86, 0x43, 0x80, 0x79, 0x5a, 0xea, 0x68, 0x5b, 0x58, 0x6f, 0x31,
		0x85, 0x57, 0x22, 0xe8, 0xae, 0x33, 0xd1, 0xdd, 0xa2, 0x4c, 0xd6, 0x55, 0x67, 0xfb, 0x5e, 0xc0,
		0x22, 0x8e, 0xec, 0x8c, 0x2e, 0x40, 0x87, 0x5e, 0x93, 0xe0, 0x6c, 0x04, 0x15, 0xcf, 0x26, 0x80,
		0x60, 0xba, 0x96, 0x8e, 0x89, 0x67, 0x0e, 0xb2, 0x9e, 0x4a, 0xc5, 0x90, 0x52, 0x82, 0x11, 0x94,
		0x05, 0xa5, 0x94, 0xa0, 0xff, 0x21, 0x29, 0x71, 0x55, 0xff, 0xf5, 0x18, 0xaa, 0x04, 0xcd, 0x1a,
		0x25, 0xa8, 0xfe, 0x2f, 0x15, 0x15, 0x5f, 0xa9, 0x4e, 0xeb, 0xe9, 0x64, 0xe8, 0x8b, 0x12, 0x3c,
		0x1d, 0xc6, 0xc4, 0xb3, 0xc4, 0x7d, 0x04, 0xd0, 0xd5, 0x54, 0x40, 0x3c, 0x23, 0x3c, 0xa5, 0xa7,
		0x11, 0x91, 0x6d, 0x53, 0x35, 0xd7, 0xd8, 0x31, 0xdc, 0xdd, 0x54, 0xe5, 0x1e, 0x4b, 0xd8, 0xb6,
		0x25, 0xca, 0x24, 0x4d, 0xb9, 0x55, 0x01, 0x3a, 0xa2, 0xdc, 0x11, 0x54, 0x3c, 0xe5, 0xde, 0x9f,
		0xa0, 0xdc, 0x21, 0x4c, 0x5c, 0xe5, 0x56, 0x53, 0xa9, 0x18, 0x52, 0x4a, 0x50, 0xee, 0x71, 0x41,
		0x29, 0x25, 0x29, 0xb7, 0x2a, 0x40, 0x47, 0x14, 0x29, 0x8c, 0x8a, 0xa7, 0x48, 0x13, 0x09, 0x8a,
		0xd4, 0x0b, 0x89, 0xab, 0x48, 0x6a, 0x1a, 0x11, 0xb1, 0xb4, 0x30, 0x98, 0x04, 0x4b, 0x43, 0x09,
		0x96, 0xd6, 0x8b, 0x27, 0xc1, 0xd2, 0xd4, 0x74, 0x32, 0xd4, 0x86, 0x13, 0x1e, 0x08, 0x9b, 0xaf,
		0x3d, 0x07, 0x08, 0x90, 0x8b, 0x4c, 0x20, 0x1e, 0x57, 0x9b, 0xab, 0x36, 0x47, 0x5d, 0xfe, 0x6b,
		0xf4, 0x0a, 0x1c, 0xf3, 0x3f, 0xbc, 0x69, 0xd8, 0xac, 0xcf, 0x1e, 0x24, 0x9f, 0xad, 0xf0, 0x3f,
		0xbb, 0xea, 0xcd, 0x8b, 0x7f, 0x74, 0xda, 0xe5, 0xbd, 0x44, 0xdf, 0x93, 0x60, 0x21, 0xa2, 0xa2,
		0xaa, 0xa9, 0xe1, 0x7a, 0xcd, 0xc6, 0xaf, 0xb4, 0xb0, 0xc3, 0x5c, 0xfd, 0x21, 0x02, 0xe3, 0xc5,
		0x74, 0x4d, 0x25, 0x9c, 0x94, 0x80, 0x51, 0x1c, 0xd7, 0x9c, 0x2a, 0x4c, 0x8d, 0x7e, 0x2c, 0xc1,
		0x15, 0x8a, 0x29, 0x80, 0x28, 0xa6, 0xc4, 0x93, 0x04, 0xed, 0x32, 0x13, 0x2d, 0xfd, 0x9a, 0xff,
		0x69, 0x11, 0x8d, 0xae, 0xd8, 0x99, 0x66, 0xa0, 0x2f, 0x4b, 0x70, 0x8e, 0x25, 0x5e, 0x16, 0xd0,
		0xc3, 0x82, 0xda, 0xbd, 0x4c, 0x39, 0xa4, 0x68, 0x37, 0x87, 0x0c, 0x7d, 0x16, 0x4e, 0xfa, 0x4a,
		0xc6, 0x47, 0x32, 0x45, 0x90, 0x5c, 0xe2, 0xeb, 0x19, 0x1f, 0x82, 0xaf, 0xc0, 0xbc, 0x6f, 0x7f,
		0x41, 0x82, 0x33, 0x74, 0xf3, 0xa8, 0xa2, 0x73, 0x36, 0x6d, 0x9a, 0x20, 0x78, 0x96, 0x89, 0xc0,
		0x67, 0xee, 0xeb, 0x3b, 0x67, 0x9b, 0x66, 0xb4, 0x14, 0x1a, 0xf4, 0x39, 0x98, 0x69, 0xa8, 0xf6,
		0x36, 0xb6, 0x6b, 0x36, 0xd6, 0x2c, 0x5b, 0x67, 0x81, 0x38, 0x42, 0x40, 0x2c, 0x32, 0x41, 0x7c,
		0x9c, 0x4c, 0x56, 0xe8, 0xdc, 0x38, 0x82, 0xe3, 0x8d, 0x24, 0x02, 0xf4, 0x4d, 0x09, 0xe6, 0x59,
		0xf7, 0x13, 0xe3, 0xa1, 0xa9, 0x32, 0x05, 0x72, 0x34, 0x4b, 0xf8, 0x7a, 0x8f, 0xb2, 0x11, 0x09,
		0x5f, 0x39, 0xb4, 0xe8, 0xbb, 0x12, 0x54, 0x58, 0x11, 0x36, 0xb6, 0x1b, 0x86, 0xa9, 0x32, 0xfd,
		0xc2, 0xb1, 0x04, 0xbf, 0x10, 0x0f, 0xb1, 0x3b, 0x8c, 0x18, 0x7e, 0xa1, 0x2d, 0x4c, 0x8d, 0x7e,
		0x22, 0xc1, 0x15, 0xd6, 0x55, 0x2a, 0xd5, 0x8b, 0x1d, 0x27, 0x68, 0x6f, 0x09, 0xde, 0xa8, 0xd2,
		0x5c, 0xd9, 0x42, 0x3b, 0xdb, 0x14, 0x9e, 0x06, 0xf0, 0x8d, 0xf2, 0x44, 0x16, 0x0d, 0xe0, 0x1b,
		0xe8, 0x6c, 0x5b, 0x90, 0x16, 0xfd, 0x4d, 0x82, 0x95, 0x88, 0xc7, 0xc5, 0x8f, 0x5c, 0x6c, 0x9b,
		0x6a, 0xbd, 0xc6, 0x40, 0x6e, 0x98, 0x86, 0x6b, 0xb0, 0x15, 0xe3, 0x24, 0x81, 0x7e, 0x2f, 0xdd,
		0x05, 0xaf, 0x50, 0xfe, 0xb1, 0xf5, 0x54, 0x03, 0xe6, 0xf1, 0x05, 0xbd, 0x60, 0xef, 0x89, 0x03,
		0xfa, 0x8b, 0x04, 0x37, 0x33, 0x2c, 0x93, 0xe7, 0xb1, 0x66, 0xc8, 0x1a, 0xef, 0xee, 0x61, 0x8d,
		0x3c, 0x67, 0x76, 0xc3, 0xee, 0x7f, 0x3a, 0x7a, 0x57, 0x82, 0xe7, 0x93, 0x96, 0x93, 0x6e, 0x27,
		0xa7, 0xc8, 0xc2, 0xd6, 0x98, 0x0b, 0xe3, 0x82, 0x49, 0xb5, 0x97, 0x6b, 0xb8, 0xbf, 0xa9, 0x24,
		0x0e, 0x60, 0xa6, 0x4e, 0x4c, 0xd7, 0x30, 0x5b, 0x58, 0xaf, 0xa9, 0x4e, 0xcd, 0xc4, 0xed, 0xf8,
		0x3a, 0xe4, 0x84, 0x38, 0x80, 0x91, 0x41, 0xa1, 0xec, 0x96, 0x9c, 0xdb, 0xb8, 0xcd, 0x88, 0x03,
		0xda, 0x99, 0x66, 0xa0, 0x5f, 0x4b, 0x70, 0x9d, 0x44, 0x93, 0x35, 0x6d, 0xcb, 0xa8, 0xeb, 0x19,
		0xed, 0xe7, 0x34, 0x81, 0xfe, 0x12, 0x13, 0x3a, 0x09, 0x25, 0x97, 0x3d, 0xa6, 0x59, 0x8c, 0xe6,
		0xb2, 0x93, 0x7d, 0x1a, 0xfa, 0xb9, 0x04, 0x57, 0x53, 0x16, 0xc1, 0xb3, 0x8e, 0x33, 0x64, 0x05,
		0x2b, 0x59, 0x57, 0xc0, 0x33, 0x89, 0x8b, 0x4e, 0xc6, 0x39, 0xe8, 0x07, 0x12, 0x5c, 0xe2, 0xa2,
		0xe6, 0xc6, 0xf9, 0x4f, 0x13, 0xd8, 0x4b, 0xec, 0x30, 0x84, 0xf9, 0x75, 0x6e, 0xe0, 0x3f, 0xaf,
		0x65, 0xa0, 0x47, 0x3f, 0x92, 0xe0, 0x32, 0x17, 0x6e, 0xc2, 0x25, 0xf2, 0x6c, 0x82, 0x92, 0xb3,
		0x01, 0x27, 0x5c, 0x27, 0x2b, 0x5a, 0xa6, 0x19, 0xe8, 0x6d, 0x09, 0x2e, 0x66, 0xd6, 0x8c, 0x73,
		0x04, 0xf1, 0xc7, 0x32, 0x20, 0xe6, 0x29, 0xc5, 0x79, 0x2d, 0x83, 0x3e, 0xbc, 0x23, 0xc1, 0x22,
		0x5f, 0xc0, 0xdc, 0x43, 0x78, 0x96, 0xa0, 0xbd, 0x99, 0x45, 0xbe, 0xdc, 0x93, 0xf8, 0x82, 0x96,
		0x65, 0x02, 0xfa, 0x61, 0x92, 0x4a, 0x24, 0x5c, 0x9a, 0x9f, 0xc9, 0x0c, 0x99, 0x7f, 0x7d, 0xe6,
		0x40, 0xe6, 0x5d, 0xa4, 0xbd, 0xd8, 0x8c, 0x0f, 0x39, 0x21, 0x92, 0x9c, 0x4b, 0x88, 0xcd, 0x38,
		0x98, 0x13, 0xc2, 0xc9, 0x05, 0x2d, 0xdb, 0x14, 0x72, 0x68, 0xfa, 0xa1, 0x78, 0xbf, 0x11, 0xcf,
		0xf9, 0x84, 0x43, 0xd3, 0x8f, 0xb8, 0xfb, 0x09, 0x75, 0xae, 0x39, 0xfd, 0x4d, 0x45, 0xbf, 0x91,
		0xe0, 0x39, 0x81, 0x05, 0xf1, 0x6c, 0x74, 0x9e, 0xac, 0xa6, 0xda, 0xcf, 0x6a, 0x78, 0xc6, 0x7a,
		0xc5, 0xe9, 0x63, 0x1e, 0xfa, 0x99, 0x04, 0xcf, 0x26, 0x2d, 0x80, 0x7f, 0x7f, 0xba, 0x90, 0x70,
		0x00, 0x71, 0x41, 0xf0, 0xef, 0x51, 0x17, 0x71, 0xc6, 0x39, 0xc4, 0xe1, 0xb4, 0x9a, 0x0e, 0xb6,
		0xdd, 0x2e, 0x70, 0x07, 0xab, 0xb6, 0xb6, 0xd5, 0x03, 0x33, 0x8e, 0xbb, 0x92, 0x60, 0xbd, 0xf7,
		0x09, 0xbb, 0x00, 0xc1, 0x3d, 0xc2, 0xac, 0xfb, 0x45, 0x86, 0xf5, 0xb6, 0xb2, 0x4c, 0xb8, 0x39,
		0x0a, 0xd0, 0x05, 0x22, 0xff, 0xb5, 0x0c, 0xe7, 0x44, 0x4f, 0xaf, 0x55, 0xd8, 0xd7, 0x59, 0xa3,
		0xbb, 0xdb, 0xc4, 0xa4, 0x16, 0xc8, 0xab, 0x2c, 0x06, 0x4c, 0xd7, 0x77, 0x9b, 0x58, 0x19, 0x6d,
		0xf7, 0x3c, 0xa1, 0x4f, 0xc3, 0xa1, 0xa6, 0x6a, 0x7b, 0x12, 0xe9, 0x35, 0xba, 0x4d, 0x8b, 0x96,
		0x0f, 0x67, 0x99, 0xfc, 0xee, 0x92, 0x19, 0x3d, 0x36, 0xb1, 0x69, 0x29, 0x07, 0x9a, 0xf1, 0x41,
		0xf4, 0x1c, 0x94, 0x48, 0x46, 0xa6, 0x6e, 0x38, 0x2e, 0x29, 0x2c, 0x96, 0x17, 0x8f, 0xb3, 0x53,
		0x1e, 0xaa, 0xb3, 0xbd, 0x66, 0x38, 0xae, 0x32, 0xe2, 0xd2, 0xbf, 0xd0, 0x22, 0x0c, 0x1b, 0x66,
		0xb3, 0xe5, 0x92, 0xb2, 0x63, 0x79, 0xf1, 0x18, 0x07, 0xc9, 0x6e, 0xdd, 0x52, 0x75, 0xc5, 0x27,
		0x45, 0x2a, 0xcc, 0x44, 0x42, 0x8e, 0x9a, 0x6b, 0xd5, 0xb4, 0xba, 0xe5, 0x60, 0xe2, 0xbf, 0xad,
		0x96, 0x4b, 0xeb, 0x90, 0xd3, 0xb1, 0xba, 0xe8, 0x2d, 0x5a, 0x49, 0x56, 0x8e, 0xe1, 0x90, 0xec,
		0xd7, 0xad, 0x65, 0x6f, 0xfe, 0xba, 0x3f, 0x1d, 0xbd, 0x0c, 0x47, 0xbb, 0x69, 0xef, 0x38, 0xf7,
		0x42, 0x1a, 0xf7, 0xc3, 0x6e, 0x90, 0xcc, 0x8e, 0x30, 0xbe, 0x01, 0x47, 0xba, 0x11, 0x76, 0x77,
		0x15, 0x76, 0xcb, 0xac, 0x19, 0x3a, 0x29, 0xfd, 0x95, 0x94, 0xc3, 0x1d, 0x8a, 0x8e, 0x9c, 0x95,
		0x96, 0x59, 0xd5, 0x51, 0x15, 0x4a, 0xd4, 0x55, 0x5a, 0x36, 0xa9, 0xc3, 0x8d, 0x2d, 0x9e, 0x67,
		0xbb, 0x76, 0xca, 0x80, 0x84, 0xd0, 0xd5, 0x60, 0x8a, 0xd2, 0x9d, 0x8d, 0xaa, 0x30, 0xd1, 0xc5,
		0xe1, 0xb9, 0xab, 0x96, 0x8d, 0x69, 0xf1, 0x8c, 0xbd, 0x07, 0xab, 0x3e, 0x8d, 0x32, 0xde, 0x99,
		0x46, 0x47, 0x90, 0x02, 0x93, 0x75, 0xd5, 0xbb, 0xf3, 0xf9, 0xe1, 0x0c, 0x59, 0x0e, 0x76, 0x5a,
		0x75, 0x97, 0x16, 0xbe, 0x92, 0xf7, 0xf4, 0xa0, 0x37, 0x77, 0xb9, 0x33, 0x55, 0x21, 0x33, 0xd1,
		0x75, 0x98, 0xb6, 0x6c, 0xe3, 0xa1, 0xe1, 0x3b, 0xda, 0x88, 0x94, 0xca, 0x44, 0x4a, 0x93, 0x01,
		0x41, 0x44, 0x48, 0x47, 0x60, 0xc4, 0xd0, 0xb1, 0xe9, 0x1a, 0xee, 0x2e, 0xa9, 0x28, 0x95, 0x94,
		0xce, 0x33, 0xba, 0x0c, 0x93, 0x9b, 0x86, 0xed, 0xb8, 0x71, 0x9e, 0xfb, 0x08, 0xe5, 0x01, 0xf2,
		0x36, 0xc2, 0x70, 0x19, 0x46, 0x6d, 0xec, 0xda, 0xbb, 0xb5, 0xa6, 0x55, 0x37, 0xb4, 0x5d, 0x5a,
		0x85, 0x99, 0xe1, 0x5c, 0x50, 0x5d, 0x7b, 0xf7, 0x2e, 0xa1, 0x53, 0xca, 0x76, 0xf7, 0x01, 0x4d,
		0x41, 0x51, 0x75, 0x5d, 0xdc, 0x68, 0xba, 0xa4, 0x62, 0x32, 0xac, 0x04, 0x8f, 0x68, 0x19, 0xf6,
		0xe3, 0x47, 0x4d, 0xc3, 0x57, 0x1c, 0xbf, 0xa8, 0x3f, 0x9e, 0x5a, 0xd4, 0x1f, 0xeb, 0x4e, 0x21,
		0x95, 0xfd, 0xd3, 0xb0, 0x4f, 0xb3, 0x3d, 0x6b, 0xa0, 0x15, 0x1d, 0x52, 0x71, 0x28, 0x29, 0xa3,
		0xde, 0x60, 0x50, 0xe5, 0x41, 0x9f, 0x80, 0xa3, 0xfe, 0xea, 0xc3, 0xd5, 0xaf, 0x0d, 0x55, 0xdb,
		0xb6, 0x36, 0x37, 0x69, 0x51, 0x20, 0x41, 0xa9, 0xa7, 0xc8, 0xec, 0xde, 0xc2, 0xd7, 0x4d, 0x7f,
		0x2a, 0xba, 0x00, 0x43, 0x0d, 0xdc, 0xb0, 0x68, 0x3a, 0x7f, 0x9a, 0x9d, 0xe8, 0xc3, 0x0d, 0x4b,
		0x21, 0x64, 0x48, 0x81, 0x89, 0x98, 0xc7, 0xa6, 0x39, 0xf9, 0xa7, 0xd9, 0x67, 0x63, 0xc4, 0xc3,
		0x2a, 0xe3, 0x4e, 0x64, 0x04, 0xdd, 0x87, 0xc9, 0xa6, 0x8d, 0x77, 0x6a, 0x6a, 0xcb, 0xb5, 0x3c,
		0xfd, 0xc3, 0x6e, 0xad, 0x69, 0x19, 0xa6, 0x1b, 0x64, 0xd9, 0x79, 0xfb, 0xe5, 0x60, 0xf7, 0x2e,
		0xa1, 0x53, 0x0e, 0x78, 0xf3, 0x97, 0x5a, 0xae, 0xd5, 0x33, 0x88, 0x2e, 0x43, 0x61, 0x0b, 0xab,
		0x3a, 0xb6, 0x69, 0xfa, 0xfb, 0x28, 0xbb, 0xa9, 0x83, 0x90, 0x28, 0x94, 0x54, 0x7e, 0x5b, 0x82,
		0x67, 0xc4, 0xa3, 0xfd, 0x2b, 0x50, 0xa0, 0xf6, 0x22, 0x09, 0xd8, 0x0b, 0xa5, 0x45, 0xab, 0x30,
		0x93, 0x5c, 0xee, 0x35, 0x74, 0xe2, 0xdd, 0xf3, 0xca, 0x31, 0x7e, 0xa5, 0xb6, 0xaa, 0xcb, 0x6f,
		0x49, 0x70, 0x56, 0x30, 0x68, 0xb8, 0x0a, 0xc5, 0xc0, 0x53, 0x48, 0x02, 0x9e, 0x22, 0x20, 0x1e,
		0x18, 0x54, 0x0b, 0x66, 0x85, 0x23, 0xe6, 0x65, 0x18, 0xa5, 0xce, 0xba, 0x7b, 0x70, 0x8e, 0x71,
		0x94, 0x80, 0xfa, 0x66, 0x72, 0x6e, 0x96, 0xdd, 0xee, 0x83, 0xfc, 0x07, 0x09, 0xce, 0x88, 0x34,
		0x0d, 0x84, 0x4f, 0x40, 0x29, 0xdb, 0x09, 0x78, 0x1b, 0x26, 0x39, 0xa7, 0x4c, 0x2e, 0xcd, 0x20,
		0x0f, 0x38, 0x8c, 0x13, 0xa6, 0xc7, 0xd3, 0xe4, 0x43, 0x9e, 0x46, 0x7e, 0x4d, 0x02, 0x39, 0xbd,
		0xdf, 0x00, 0xcd, 0x03, 0x8a, 0xd6, 0xa0, 0x3b, 0x5d, 0x48, 0xe3, 0x4e, 0x48, 0x04, 0x11, 0x77,
		0x9b, 0x8b, 0xb8, 0xdb, 0xe3, 0x00, 0x41, 0x42, 0xd0, 0xd0, 0x09, 0x9a, 0x92, 0x52, 0xa2, 0x23,
		0x55, 0x5d, 0xfe, 0x47, 0x44, 0xbc, 0x5c, 0x0b, 0xc9, 0x86, 0x68, 0x16, 0xc6, 0xc3, 0x79, 0x88,
		0x8e, 0x7a, 0x8d, 0x39, 0x3d, 0x2b, 0x8e, 0x60, 0xcf, 0x47, 0xb0, 0x9f, 0x83, 0xfd, 0x1b, 0x86,
		0xa9, 0xda, 0xbb, 0x35, 0x6d, 0x0b, 0x6b, 0xdb, 0x4e, 0xab, 0x41, 0x42, 0x94, 0x92, 0x32, 0xe6,
		0x0f, 0x2f, 0xd3, 0x51, 0x74, 0x1e, 0x26, 0xc2, 0xd9, 0x33, 0xfc, 0xc8, 0x0f, 0x3f, 0x46, 0x95,
		0x71, 0xdc, 0x9b, 0xd4, 0xc2, 0x8f, 0x5c, 0xf9, 0xd5, 0x3c, 0x9c, 0x16, 0x68, 0x65, 0x78, 0x6c,
		0x2b, 0x8e, 0x9a, 0x45, 0xbe, 0x0f, 0xb3, 0x40, 0x27, 0xa0, 0xbc, 0xa1, 0x3a, 0x38, 0x38, 0x3a,
		0x7d, 0xb1, 0x94, 0xbc, 0x21, 0xff, 0xc0, 0x3c, 0x06, 0x60, 0xe2, 0x76, 0xf0, 0x7a, 0xd8, 0x17,
		0xac, 0x89, 0xdb, 0xfe, 0xdb, 0x79, 0x40, 0x9b, 0x96, 0xbd, 0x4d, 0x91, 0x06, 0xfd, 0x68, 0x05,
		0x7f, 0x69, 0xde, 0x1b, 0x82, 0xf5, 0x01, 0x6d, 0x4c, 0x9b, 0xf4, 0x9c, 0xa3, 0xea, 0x58, 0x26,
		0x8d, 0x8d, 0xe8, 0x13, 0xba, 0x05, 0xc3, 0x9a, 0xda, 0x72, 0x30, 0x0d, 0x83, 0x2a, 0xc2, 0x4d,
		0x23, 0xcb, 0xde, 0x2c, 0xc5, 0x9f, 0x2c, 0xbf, 0x95, 0x87, 0x53, 0xa9, 0x8d, 0x1c, 0x8f, 0x6d,
		0x33, 0x6e, 0x06, 0x6b, 0xf0, 0x77, 0x61, 0x5e, 0xb0, 0xcf, 0xa4, 0x77, 0x05, 0xbd, 0x3e, 0x79,
		0x28, 0x8b, 0x4f, 0xee, 0x55, 0xfd, 0xe1, 0x88, 0xea, 0x47, 0xf6, 0xb7, 0x90, 0xbc, 0xbf, 0x45,
		0xa1, 0xfd, 0x1d, 0xe1, 0xec, 0x2f, 0xc3, 0xcc, 0x4a, 0x2c, 0x33, 0x93, 0xbf, 0x51, 0x80, 0x33,
		0x22, 0x3d, 0x2e, 0xe8, 0x24, 0x94, 0x3b, 0x85, 0x62, 0xba, 0x4d, 0x25, 0x05, 0x82, 0xa1, 0xaa,
		0xee, 0x5d, 0xaa, 0xba, 0x95, 0x64, 0xcf, 0x08, 0x72, 0x09, 0x97, 0xaa, 0xce, 0x27, 0xc9, 0xa5,
		0x4a, 0xed, 0x79, 0xf2, 0x54, 0x53, 0xb7, 0x1a, 0xaa, 0x61, 0x52, 0xdf, 0x41, 0x9f, 0xc2, 0x87,
		0xc1, 0x50, 0x9f, 0xd7, 0xa1, 0x82, 0xf8, 0x75, 0x68, 0x1d, 0xa6, 0x03, 0x25, 0x8c, 0x9f, 0x21,
		0xc5, 0xb4, 0x33, 0x64, 0x32, 0x98, 0x1b, 0x39, 0x46, 0x22, 0x5c, 0xe9, 0x11, 0x45, 0xb9, 0x8e,
		0x64, 0xe0, 0xea, 0xdf, 0x82, 0x28, 0x57, 0xfe, 0x61, 0x57, 0xea, 0xeb, 0xb0, 0x5b, 0x85, 0x89,
		0x2d, 0xac, 0xda, 0xee, 0x06, 0x56, 0xbb, 0xe8, 0x20, 0x8d, 0xd5, 0x78, 0x67, 0x4e, 0x97, 0x4f,
		0x7a, 0x88, 0x52, 0x4e, 0x0f, 0x51, 0x62, 0x77, 0x85, 0xd1, 0x7e, 0xee, 0x0a, 0xdd, 0x98, 0x73,
		0x9f, 0x78, 0xcc, 0xf9, 0x77, 0x09, 0xe4, 0xf4, 0x7e, 0xab, 0x0f, 0xec, 0x70, 0xef, 0x0d, 0x43,
		0x86, 0xc2, 0x17, 0x9e, 0x17, 0x61, 0x94, 0xdc, 0x17, 0x03, 0xbf, 0x35, 0x2c, 0xe0, 0xb7, 0xca,
		0xde, 0x0c, 0xfa, 0x20, 0xff, 0x49, 0x0a, 0xbb, 0x82, 0x01, 0x47, 0xd6, 0x6c, 0x11, 0xe5, 0x32,
		0xb8, 0xfb, 0x7c, 0x6a, 0xb4, 0x31, 0x14, 0x16, 0xa6, 0xfc, 0x47, 0x09, 0x4e, 0xa5, 0x37, 0xc1,
		0xf4, 0x1b, 0x80, 0x7f, 0x18, 0x2b, 0xfa, 0x45, 0x0e, 0x4e, 0x0b, 0xb4, 0x92, 0x79, 0x6b, 0xd2,
		0xb1, 0xab, 0x1a, 0x75, 0x47, 0x68, 0x93, 0x02, 0xe2, 0xc7, 0xb6, 0xa6, 0x68, 0x84, 0x34, 0xd4,
		0x4f, 0x84, 0xb4, 0x67, 0x15, 0xff, 0x8a, 0x04, 0x73, 0xe2, 0x1d, 0x60, 0x22, 0x67, 0xde, 0x60,
		0xae, 0x60, 0xef, 0x48, 0x90, 0xb1, 0xd7, 0x2b, 0x1d, 0xdb, 0xc1, 0x20, 0x0c, 0xf2, 0x3d, 0x0c,
		0x0d, 0x6c, 0x44, 0x10, 0xe7, 0x05, 0x10, 0xbf, 0x19, 0xd1, 0x43, 0x5e, 0x55, 0xa8, 0x5f, 0x3d,
		0x5c, 0x85, 0x99, 0xba, 0xea, 0xf6, 0xf4, 0x3c, 0x44, 0x3b, 0x00, 0xba, 0x92, 0xf5, 0xe9, 0x58,
		0x5b, 0xe9, 0x87, 0x4d, 0x0c, 0x7d, 0xce, 0x67, 0xd0, 0xe7, 0xa1, 0x54, 0x1b, 0x8d, 0x04, 0x7a,
		0xf2, 0xbb, 0x12, 0x1c, 0x4d, 0xe8, 0xb2, 0x44, 0xd3, 0x30, 0xe2, 0x77, 0x97, 0x75, 0xf6, 0xad,
		0x48, 0x9e, 0xab, 0x3a, 0x5a, 0x83, 0x43, 0x9d, 0x83, 0x7c, 0xd3, 0xb0, 0x33, 0x5c, 0x5a, 0x11,
		0x3d, 0xc7, 0x57, 0x0d, 0x1b, 0x67, 0x39, 0x7e, 0x45, 0x36, 0xfb, 0x33, 0x30, 0xcd, 0x6d, 0xdf,
		0x4c, 0x5a, 0x8d, 0x70, 0xcc, 0x2e, 0xff, 0x56, 0x82, 0x63, 0x49, 0x9d, 0x7b, 0x03, 0xf9, 0xca,
		0xa0, 0xe4, 0x91, 0xe8, 0xa0, 0x7f, 0x2a, 0xc1, 0x4c, 0x5a, 0x07, 0x60, 0xd2, 0x6a, 0x1e, 0xab,
		0xd9, 0x26, 0x22, 0xff, 0x77, 0x11, 0x32, 0x36, 0x9a, 0xa0, 0x05, 0x38, 0x48, 0x7a, 0x59, 0xa2,
		0x69, 0x5f, 0x7f, 0x4d, 0x13, 0x26, 0x6e, 0x47, 0x92, 0xbe, 0xb1, 0xca, 0x4b, 0xae, 0xbf, 0xca,
		0xcb, 0x93, 0xda, 0x88, 0x78, 0x6d, 0x44, 0x44, 0x77, 0x8a, 0x02, 0xba, 0x73, 0x07, 0x26, 0x69,
		0x4e, 0x9b, 0x62, 0x34, 0x4c, 0x17, 0xdb, 0x3b, 0x6a, 0x3d, 0xfd, 0xde, 0x72, 0x90, 0x4e, 0x24,
		0xf0, 0xaa, 0x74, 0x5a, 0xb8, 0xee, 0x52, 0xda, 0x53, 0xdd, 0xa5, 0x27, 0x84, 0x83, 0x2c, 0x21,
		0x1c, 0xbf, 0xc8, 0x52, 0xee, 0xbb, 0xc8, 0xd2, 0xbd, 0x67, 0x8c, 0x0a, 0xdf, 0x33, 0x3a, 0xa9,
		0xfe, 0x7d, 0x7b, 0x48, 0xf5, 0x8f, 0xed, 0x29, 0xd5, 0xef, 0xf9, 0xe0, 0x85, 0xac, 0xdd, 0x6e,
		0x1d, 0x6f, 0x25, 0xf5, 0x7a, 0xab, 0xa4, 0xfb, 0xcd, 0x06, 0x1c, 0xee, 0x54, 0xc8, 0x23, 0x55,
		0x53, 0xdf, 0x8e, 0xe7, 0x12, 0x6b, 0xe0, 0xe1, 0xba, 0xe9, 0x21, 0xcc, 0x1a, 0x96, 0xbf, 0x2f,
		0x31, 0x52, 0xda, 0xbc, 0x93, 0x45, 0xc4, 0x3c, 0x24, 0x01, 0xf3, 0xe8, 0x89, 0x74, 0x72, 0x19,
		0x22, 0x1d, 0xf9, 0x7d, 0x09, 0x8e, 0x27, 0x76, 0x6b, 0x7b, 0xa1, 0x1e, 0xed, 0x05, 0x37, 0xd5,
		0x46, 0x20, 0x6a, 0xf0, 0x87, 0x6e, 0xab, 0x0d, 0xdc, 0xef, 0xa7, 0x07, 0x76, 0xaa, 0x74, 0x35,
		0x7e, 0x48, 0xfc, 0x66, 0xfd, 0x35, 0xd6, 0x26, 0xf1, 0xba, 0x13, 0x4e, 0x42, 0x99, 0xf6, 0x87,
		0xf4, 0x8a, 0xc0, 0x1f, 0x22, 0x22, 0xe8, 0x38, 0xf5, 0x9c, 0xb8, 0x53, 0x4f, 0xc8, 0x53, 0xcb,
		0x5f, 0x95, 0x60, 0x2e, 0x43, 0x47, 0x4e, 0x37, 0x9f, 0x2a, 0x85, 0xf2, 0xa9, 0xfd, 0xee, 0x4c,
		0x12, 0xb4, 0x5f, 0xe5, 0xe0, 0x85, 0xbd, 0x75, 0x25, 0x0f, 0x4c, 0xe7, 0xbb, 0xb9, 0xba, 0x5c,
		0x28, 0x57, 0x77, 0x1f, 0x50, 0xbc, 0xfb, 0x85, 0xda, 0xf7, 0x59, 0xb1, 0x0e, 0x57, 0x65, 0x22,
		0xd6, 0xc2, 0x8a, 0xa6, 0xa0, 0xa8, 0x59, 0xa6, 0x6b, 0x5b, 0x75, 0xa2, 0x68, 0xa3, 0x4a, 0xf0,
		0x88, 0x2a, 0x70, 0x20, 0xd2, 0xc8, 0x65, 0x99, 0x75, 0x3f, 0x32, 0x1f, 0x51, 0x26, 0x42, 0xfd,
		0x55, 0x77, 0xcc, 0xfa, 0xae, 0xfc, 0x46, 0x1e, 0x6e, 0xec, 0xa1, 0xeb, 0x19, 0xdd, 0xef, 0xf5,
		0x7b, 0x63, 0x9c, 0xdf, 0x14, 0x08, 0x71, 0x0e, 0xa5, 0x9d, 0x07, 0x74, 0x9f, 0xe4, 0xe6, 0x50,
		0xd9, 0xfb, 0x32, 0xb4, 0xd7, 0x7d, 0x99, 0x07, 0x14, 0xed, 0x35, 0xa3, 0x15, 0x8a, 0xbc, 0x32,
		0x6e, 0x84, 0x94, 0xd0, 0x4f, 0x61, 0x05, 0xbb, 0x58, 0x08, 0xed, 0xa2, 0xfc, 0x67, 0x09, 0xae,
		0xf5, 0xd9, 0xb2, 0xcd, 0xc1, 0x20, 0x71, 0x30, 0x7c, 0xb0, 0x8a, 0x2b, 0x7f, 0x29, 0x0f, 0xd7,
		0xfa, 0x6c, 0xab, 0xfb, 0x5f, 0xb5, 0xd5, 0x88, 0xc7, 0x1e, 0xe2, 0x7b, 0xec, 0x61, 0x71, 0x8f,
		0xcd, 0x55, 0x1d, 0x9e, 0x03, 0x28, 0xf2, 0x1c, 0xc0, 0xab, 0x79, 0xb8, 0xd2, 0x4f, 0x6b, 0xa0,
		0x98, 0xe5, 0x0b, 0x71, 0x7e, 0x62, 0xf9, 0x5d, 0xcb, 0x7f, 0x4f, 0x82, 0x8b, 0x59, 0xdb, 0x1c,
		0xff, 0xab, 0x4d, 0x9e, 0x7f, 0x56, 0xc9, 0xbf, 0x97, 0xe0, 0x42, 0xa6, 0xd6, 0xc8, 0x81, 0xb9,
		0x00, 0xe6, 0xad, 0x21, 0xb7, 0xb7, 0x5b, 0xc3, 0x77, 0x46, 0xe0, 0x72, 0x1f, 0xbf, 0xf1, 0xe8,
		0xd9, 0x0e, 0x29, 0xb4, 0x1d, 0x27, 0xa1, 0xdc, 0xd9, 0x0e, 0xaa, 0xf3, 0x25, 0x05, 0x82, 0x21,
		0x56, 0x0a, 0x21, 0x3f, 0x80, 0x14, 0x42, 0xbf, 0xf5, 0xc4, 0xe1, 0xc1, 0xa6, 0x10, 0x0a, 0x8f,
		0x35, 0x85, 0x50, 0xec, 0x3b, 0x85, 0xf0, 0x00, 0x68, 0x87, 0x2a, 0xe5, 0x48, 0xcb, 0x70, 0x7e,
		0x93, 0xc0, 0xd9, 0x84, 0x36, 0x57, 0xc2, 0x85, 0x16, 0xe3, 0x26, 0x9a, 0xd1, 0xa1, 0x5e, 0x23,
		0x29, 0x85, 0xfd, 0xb9, 0x88, 0xca, 0x83, 0x80, 0xca, 0x6b, 0x30, 0xd5, 0xa3, 0x4e, 0x35, 0x1b,
		0xb7, 0xba, 0xf0, 0xcb, 0x04, 0xfe, 0x5c, 0xa2, 0xe2, 0x54, 0x75, 0xc5, 0x9b, 0x42, 0x97, 0x70,
		0xa8, 0xcd, 0x1a, 0x8e, 0x95, 0x27, 0xf7, 0xf5, 0x53, 0x9e, 0x8c, 0xf5, 0x1a, 0x8e, 0x31, 0x7a,
		0x0d, 0xbb, 0x37, 0xad, 0xfd, 0xd9, 0x73, 0x0b, 0xe3, 0x7b, 0xc8, 0x2d, 0x4c, 0xec, 0xcd, 0x4b,
		0xbc, 0x9e, 0x87, 0x8b, 0x59, 0x7f, 0x47, 0xf5, 0xe1, 0xbb, 0x88, 0xb5, 0xe0, 0xac, 0xf7, 0xab,
		0x55, 0x57, 0x33, 0xff, 0x08, 0x28, 0x74, 0xc4, 0xf7, 0x28, 0xfb, 0x70, 0x58, 0xd9, 0xd9, 0x07,
		0x59, 0x81, 0x73, 0x90, 0x0d, 0x28, 0x9f, 0x27, 0xff, 0x2e, 0x07, 0xf3, 0x59, 0x7e, 0x24, 0xc6,
		0xdd, 0x0f, 0xf6, 0x09, 0x9a, 0xdb, 0xeb, 0x09, 0x3a, 0xa8, 0x5d, 0x64, 0x4b, 0x77, 0x88, 0x23,
		0xdd, 0xae, 0x85, 0x0d, 0x8b, 0xe7, 0x32, 0xde, 0xcf, 0x41, 0xc6, 0x9f, 0xaf, 0x7d, 0x34, 0x84,
		0xc9, 0x2a, 0xcd, 0x0c, 0x33, 0x4b, 0x33, 0xdd, 0x9e, 0x82, 0x82, 0x78, 0x4f, 0x81, 0xfc, 0xcf,
		0x1c, 0x9c, 0x1f, 0x84, 0x47, 0xf9, 0x88, 0x0a, 0xbd, 0x27, 0x6b, 0x5e, 0xc8, 0x90, 0x35, 0x97,
		0xff, 0x95, 0x83, 0x0b, 0x99, 0x7e, 0x4d, 0xf8, 0x44, 0xf0, 0x31, 0xc1, 0x07, 0x69, 0xc1, 0x42,
		0x96, 0x5c, 0xf1, 0xe7, 0xf3, 0x3c, 0xc1, 0xf3, 0xfa, 0x40, 0x9e, 0x08, 0x3e, 0xb1, 0x0d, 0xa5,
		0xd0, 0x4f, 0xff, 0xfa, 0x2f, 0x73, 0xb0, 0x90, 0xf1, 0x57, 0x9e, 0x4f, 0xf6, 0x21, 0xb4, 0x0f,
		0x73, 0x2e, 0xec, 0x27, 0x7f, 0xae, 0x1a, 0x75, 0x17, 0xdb, 0xe4, 0x53, 0xc7, 0x61, 0x7a, 0xe5,
		0xc1, 0xca, 0xed, 0xf5, 0xda, 0x6a, 0x75, 0x6d, 0x7d, 0x45, 0xa9, 0xad, 0x7f, 0xf2, 0xee, 0x4a,
		0xad, 0x7a, 0xfb, 0xc1, 0xd2, 0x5a, 0xf5, 0xd6, 0xf8, 0x53, 0xe8, 0x24, 0x1c, 0x8d, 0xbf, 0x5e,
		0x5a, 0x5b, 0xab, 0x91, 0xd1, 0x71, 0x09, 0x9d, 0x82, 0xe3, 0x71, 0x82, 0xe5, 0xb5, 0x3b, 0xf7,
		0x56, 0x28, 0x49, 0xee, 0xe6, 0x03, 0x38, 0xac, 0x59, 0x0d, 0x96, 0x0c, 0x6e, 0x8e, 0x2c, 0x35,
		0x8d, 0xbb, 0xde, 0x85, 0xe8, 0xae, 0xf4, 0xa9, 0x85, 0x87, 0x86, 0xbb, 0xd5, 0xda, 0xa8, 0x68,
		0x56, 0x63, 0x21, 0xf4, 0xbf, 0x4a, 0x2b, 0x0f, 0xb1, 0xe9, 0xff, 0x77, 0x54, 0xfa, 0x6f, 0x4b,
		0x6f, 0xa8, 0x4d, 0x63, 0xe7, 0xd2, 0x46, 0x81, 0x8c, 0x5d, 0xfe, 0x4f, 0x00, 0x00, 0x00, 0xff,
		0xff, 0x52, 0xdc, 0x92, 0x14, 0x99, 0x55, 0x00, 0x00,
	},
	// uber/cadence/api/v1/query.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x53, 0x4d, 0x6f, 0xd3, 0x40,
		0x14, 0xc4, 0x41, 0xaa, 0xe8, 0x6b, 0x0b, 0xd6, 0x16, 0x44, 0xa8, 0xfa, 0x11, 0xa5, 0x3d, 0x54,
		0x11, 0xb2, 0x49, 0xe1, 0xd6, 0x93, 0xeb, 0x2c, 0xc8, 0xc8, 0xb5, 0x5d, 0x7b, 0x93, 0x2a, 0x5c,
		0x2c, 0xc7, 0x59, 0x82, 0x69, 0xe2, 0x35, 0xbb, 0x76, 0x42, 0xfe, 0x00, 0x77, 0x7e, 0x0d, 0x7f,
		0x0f, 0xd9, 0x71, 0x48, 0x4a, 0x5c, 0xc4, 0xed, 0x79, 0xde, 0x8c, 0x67, 0x46, 0xab, 0x07, 0x27,
		0xd9, 0x80, 0x72, 0x35, 0x0c, 0x86, 0x34, 0x0e, 0xa9, 0x1a, 0x24, 0x91, 0x3a, 0x6d, 0xab, 0xdf,
		0x32, 0xca, 0xe7, 0x4a, 0xc2, 0x59, 0xca, 0xd0, 0x7e, 0x4e, 0x50, 0x4a, 0x82, 0x12, 0x24, 0x91,
		0x32, 0x6d, 0x1f, 0x34, 0xaa, 0x54, 0x21, 0x9b, 0x4c, 0x58, 0xbc, 0x90, 0x1d, 0x34, 0xab, 0x18,
		0x33, 0xc6, 0xef, 0x3e, 0x8f, 0xd9, 0x6c, 0xc1, 0x69, 0xde, 0xc1, 0xde, 0x6d, 0x89, 0xdc, 0xe4,
		0x8e, 0xe8, 0x08, 0xa0, 0xb0, 0xf6, 0xd3, 0x79, 0x42, 0xeb, 0x52, 0x43, 0x3a, 0xdf, 0x76, 0xb7,
		0x0b, 0x84, 0xcc, 0x13, 0x8a, 0x2e, 0x97, 0xeb, 0x80, 0x8f, 0x44, 0xbd, 0xd6, 0x90, 0xce, 0x77,
		0x2e, 0x0e, 0x95, 0x8a, 0x7c, 0x8a, 0x13, 0xcc, 0xc7, 0x2c, 0x18, 0x96, 0x62, 0x8d, 0x8f, 0x44,
		0xf3, 0x97, 0x04, 0xfb, 0xf7, 0xdc, 0x5c, 0x2a, 0xb2, 0x71, 0x8a, 0x30, 0xec, 0xf0, 0x62, 0x5a,
		0x99, 0x3e, 0xbd, 0x38, 0xab, 0xfc, 0xeb, 0x9a, 0x2c, 0xcf, 0xe3, 0x02, 0xff, 0x33, 0xa3, 0x77,
		0xb0, 0x15, 0xc4, 0x62, 0x46, 0xf9, 0x7f, 0xe5, 0x2a, 0xb9, 0xe8, 0x14, 0xf6, 0x28, 0xe7, 0x8c,
		0xfb, 0x13, 0x2a, 0x44, 0x30, 0xa2, 0xf5, 0xc7, 0x45, 0xe7, 0xdd, 0x02, 0xbc, 0x5e, 0x60, 0x4d,
		0x0a, 0x7b, 0xa5, 0xf3, 0x57, 0x1a, 0xa6, 0x74, 0x88, 0x08, 0xec, 0x86, 0x63, 0x26, 0xa8, 0x2f,
		0xd2, 0x20, 0xcd, 0x44, 0x99, 0xb9, 0x5d, 0xe9, 0xb8, 0xac, 0x8c, 0xbf, 0xd3, 0x30, 0x4b, 0x23,
		0x16, 0xeb, 0xb9, 0xd2, 0x2b, 0x84, 0xee, 0x4e, 0xb8, 0xfa, 0x68, 0xc5, 0xf0, 0xec, 0xaf, 0x82,
		0xe8, 0x08, 0x5e, 0xdd, 0x74, 0xb1, 0xdb, 0xf7, 0x5d, 0xec, 0x75, 0x4d, 0xe2, 0x93, 0xbe, 0x83,
		0x7d, 0xc3, 0xea, 0x69, 0xa6, 0xd1, 0x91, 0x1f, 0xa1, 0x63, 0x38, 0xd8, 0x5c, 0x6b, 0x96, 0x77,
		0x8b, 0x5d, 0xdc, 0x91, 0x25, 0x74, 0x08, 0xf5, 0xcd, 0xfd, 0x7b, 0xcd, 0x30, 0x71, 0x47, 0xae,
		0xb5, 0x7e, 0x4a, 0xf0, 0x7c, 0xad, 0x97, 0xce, 0xe2, 0x61, 0x94, 0x07, 0x44, 0x4d, 0x38, 0x5e,
		0xca, 0x3e, 0x62, 0x9d, 0xf8, 0xba, 0x6d, 0x75, 0x0c, 0x62, 0xd8, 0xd6, 0x9a, 0xf5, 0x29, 0x9c,
		0x3c, 0xc0, 0xb1, 0x6c, 0xe2, 0xdb, 0x0e, 0xb6, 0x64, 0x09, 0xbd, 0x81, 0xd7, 0xff, 0x20, 0xe9,
		0xf6, 0xb5, 0x63, 0x62, 0x82, 0x3b, 0xbe, 0x6e, 0x62, 0xcd, 0x32, 0xfb, 0x72, 0xad, 0xf5, 0x43,
		0x82, 0x17, 0x45, 0x26, 0x9d, 0xc5, 0x22, 0x12, 0x29, 0x8d, 0xc3, 0xb9, 0x49, 0xa7, 0x74, 0xbc,
		0x32, 0xd4, 0x6d, 0xcb, 0x33, 0x3c, 0x82, 0x2d, 0xbd, 0xef, 0x9b, 0xb8, 0x87, 0xcd, 0xb5, 0x54,
		0x67, 0xd0, 0x78, 0x88, 0x84, 0x7b, 0xd8, 0x22, 0x5d, 0xcd, 0x94, 0xa5, 0x55, 0xbf, 0x4d, 0x96,
		0x47, 0x5c, 0xdb, 0xfa, 0x20, 0xd7, 0xae, 0x7a, 0xf0, 0x32, 0x64, 0x93, 0xaa, 0x17, 0xbd, 0x7a,
		0xa2, 0x25, 0x91, 0x93, 0xdf, 0x8f, 0x23, 0x7d, 0x52, 0x47, 0x51, 0xfa, 0x25, 0x1b, 0x28, 0x21,
		0x9b, 0xa8, 0xf7, 0x0e, 0x4e, 0x19, 0xd1, 0x58, 0x2d, 0xae, 0xac, 0xbc, 0xbd, 0xcb, 0x20, 0x89,
		0xa6, 0xed, 0xc1, 0x56, 0x81, 0xbd, 0xfd, 0x1d, 0x00, 0x00, 0xff, 0xff, 0x96, 0x7d, 0xf9, 0x10,
		0xf7, 0x03, 0x00, 0x00,
	},
}

func init() {
	yarpc.RegisterClientBuilder(
		func(clientConfig transport.ClientConfig, structField reflect.StructField) WorkerAPIYARPCClient {
			return NewWorkerAPIYARPCClient(clientConfig, protobuf.ClientBuilderOptions(clientConfig, structField)...)
		},
	)
}
